<%
	'************************************************************************************
	'*																					*
	'*																					*
	'*																					*
	'************************************************************************************
	Function DisplayHeader(sIdSettingGroup)

		sSQLText = "SELECT GroupName FROM SettingsGroupNames WHERE idSettingGroup = " & sIdSettingGroup
		call DB_getFromDatabase(sSQLText, rsStoreData, "") 
		If ( NOT rsStoreData.EOF ) Then
			DisplayHeader = "<font size=+1 color=2A5CB2>" & rsStoreData("GroupName") & "</font>"
		End If
		Call DB_closeRecordset(rsStoreData)
		
	End Function
	'************************************************************************************


	'************************************************************************************
	'*																					*
	'*																					*
	'*																					*
	'************************************************************************************
	Sub DisplaySettings(sIdSettingGroup)
		sSQLText = "SELECT S.idSetting, S.settingKey, S.settingValue, S.comments, S.type, SO.settingoption, SO.optionvalue FROM Settings S LEFT OUTER JOIN SettingsOptions SO ON S.idSetting = SO.idSetting WHERE S.idSettingGroup = " & sIdSettingGroup & " ORDER BY S.idSetting"
		call DB_getFromDatabase(sSQLText, rsStoreData, "") 
		While ( NOT rsStoreData.EOF )
			sIdSetting		= Trim(rsStoreData("idSetting"))
			sSettingKey		= Trim(rsStoreData("settingKey"))
			sSettingValue	= Trim(rsStoreData("settingValue"))
			sComments		= Trim(rsStoreData("comments"))
			sType			= UCase(Trim(rsStoreData("type")))
			
			If ( sComments = "" ) Or ( IsNull(sComments) ) Then
				sComments = sSettingKey
			End If
			
			Select Case sType
				Case "MULTIPICK"
					%>
	        		<tr>
						<td width=50%><%=sComments%></td>
						<td width=50%>
							<select name='<%=sSettingKey%>' size=4 multiple>
								<%
								Do While ( NOT rsStoreData.EOF )
									If ( sIdSetting = Trim(rsStoreData("idSetting")) ) Then
										sSettingOption	= Trim(rsStoreData("settingoption"))
										sOptionValue	= Trim(rsStoreData("optionvalue"))
										If ( InStr(Trim(UCase(CStr(sSettingValue))), Trim(UCase(CStr(sOptionValue)))) > 0 ) Then
											Response.Write "<option value='" & sOptionValue & "' selected>" & sSettingOption & "</option>"
										Else
											Response.Write "<option value='" & sOptionValue & "'>" & sSettingOption & "</option>"
										End If
									Else
										Exit Do
									End If
									rsStoreData.MoveNext
								Loop
								%>
							</select>
						</td>
	         		</tr>
					<%
				Case "SELECT"
					%>
	        		<tr>
						<td width=50%><%=sComments%></td>
						<td width=50%>
							<select name='<%=sSettingKey%>'>
								<%
								Do While ( NOT rsStoreData.EOF )
									If ( sIdSetting = Trim(rsStoreData("idSetting")) ) Then
										sSettingOption	= Trim(rsStoreData("settingoption"))
										sOptionValue	= Trim(rsStoreData("optionvalue"))
										If ( Trim(UCase(CStr(sSettingValue))) = Trim(UCase(CStr(sOptionValue))) ) Then
											Response.Write "<option value='" & sOptionValue & "' selected>" & sSettingOption & "</option>"
										Else
											Response.Write "<option value='" & sOptionValue & "'>" & sSettingOption & "</option>"
										End If
									Else
										Exit Do
									End If
									rsStoreData.MoveNext
								Loop
								%>
							</select>
						</td>
	         		</tr>
					<%
				Case "TEXT"
					%>
	        		<tr>
	        			<td width=50%><%=sComments%></td>
						<td width=50%><%VALIDATE_textbox sSettingKey, sSettingValue, 50, "textbox", ""%></td>
	         		</tr>
					<%
					If ( NOT rsStoreData.EOF ) Then
						rsStoreData.MoveNext
					End If
				Case "BOOLEAN"
					%>
	        		<tr>
	        			<td width=50%><%=sComments%></td>
						<td width=50%>
							<select name='<%=sSettingKey%>'>
								<option value=0 <%If ( Trim(UCase(CStr(sSettingValue))) = "0" ) Then Response.Write "selected" End If%>>No</option>
								<option value=-1 <%If ( Trim(UCase(CStr(sSettingValue))) = "-1" ) Then Response.Write "selected" End If%>>Yes</option>
							</select>
						</td>
	         		</tr>
					<%
					If ( NOT rsStoreData.EOF ) Then
						rsStoreData.MoveNext
					End If
				Case Else
					If ( NOT rsStoreData.EOF ) Then
						rsStoreData.MoveNext
					End If
			End Select

		Wend
		Call DB_closeRecordset(rsStoreData)
	End Sub
	'************************************************************************************
	
	
	'************************************************************************************
	'*																					*
	'*																					*
	'*																					*
	'************************************************************************************
	Sub SetImageComponent()
	
		Dim objASPImage

		On Error Resume Next
		' check GflAx and ImageMagick first because they support GIF's
		If ( sOWImageComponent = "" ) Then
			' figure out if they've got a component and default to one of them
			Set objASPImage = Server.CreateObject("GflAx.GflAx")
			If ( Err.Number <> 0 ) Then
				' doesn't exist, check another
				Err.Clear
				Set objASPImage = CreateObject("ImageMagickObject.MagickImage.1")
				If ( Err.Number <> 0 ) Then
					Err.Clear
					Set objASPImage = Server.CreateObject("AspImage.Image")
					If ( Err.Number <> 0 ) Then
						Err.Clear
						Set objASPImage = Server.CreateObject("Persits.Jpeg")
						If ( Err.Number <> 0 ) Then
							Call owCONFIG_WriteConfigValue( "sOWImageComponent", "" )	' they have no compatable component
						Else
							Call owCONFIG_WriteConfigValue( "sOWImageComponent", "PERSITS" )
						End If
						Set objASPImage = Nothing
					Else
						Call owCONFIG_WriteConfigValue( "sOWImageComponent", "ASPIMAGE" )
					End If
					Set objASPImage = Nothing
				Else
					Call owCONFIG_WriteConfigValue( "sOWImageComponent", "IMAGEMAGICK" )
				End If
				Set objASPImage = Nothing
			Else
				Call owCONFIG_WriteConfigValue( "sOWImageComponent", "GFLAX" )
			End If
			Set objASPImage = Nothing

		Else
			' they set it to something, make sure it's the correct one
			Select Case sOWImageComponent
				Case "PERSITS"
					Set objASPImage = Server.CreateObject("Persits.Jpeg")
					If ( Err.Number <> 0 ) Then
						Call owCONFIG_WriteConfigValue( "sOWImageComponent", "" )	' they have no compatable component
						Call SetImageComponent()	' re-run this w/ it blank so this function will go through the check above
					End If
					Set objASPImage = Nothing
				Case "ASPIMAGE"
					Set objASPImage = Server.CreateObject("AspImage.Image")
					If ( Err.Number <> 0 ) Then
						Call owCONFIG_WriteConfigValue( "sOWImageComponent", "" )	' they have no compatable component
						Call SetImageComponent()	' re-run this w/ it blank so this function will go through the check above
					End If
					Set objASPImage = Nothing
				Case "IMAGEMAGICK"
					Set objASPImage = CreateObject("ImageMagickObject.MagickImage.1")
					If ( Err.Number <> 0 ) Then
						Call owCONFIG_WriteConfigValue( "sOWImageComponent", "" )	' they have no compatable component
						Call SetImageComponent()	' re-run this w/ it blank so this function will go through the check above
					End If
					Set objASPImage = Nothing
				Case "GFLAX"
					Set objASPImage = Server.CreateObject("GflAx.GflAx")
					If ( Err.Number <> 0 ) Then
						Call owCONFIG_WriteConfigValue( "sOWImageComponent", "" )	' they have no compatable component
						Call SetImageComponent()	' re-run this w/ it blank so this function will go through the check above
					End If
					Set objASPImage = Nothing
			End Select
		End If
		On Error Goto 0
		
	End Sub
	'************************************************************************************
%>