<!--#include file="../../owFunctions/I_GeneralFunctions.asp"-->
<!--#include file="Includes/i_Messages.asp"-->
<!--#include file="../header.asp"-->
<%
	'************************************************************************************
	'*																					*
	'*	MODIFICATION TO THIS SCRIPT OR ANY FILES INCLUDED WITH 							*
	'*		ONEWORLDSTOREFRONT IS DONE AT YOUR OWN RISK!								*
	'*	Product  : OneWorldStoreFront													*
	'*	Modified : Jan 2005															*
	'*	Copyright:	Copyright (C) 2004 OneWorldStoreFront.Com							*
	'*				Registration Number: 1024507										*
	'*				http://strategis.ic.gc.ca/											*
	'*																					*
	'************************************************************************************
	
	Dim sActive
	Dim sMetaTitle, sMetaDesc, sMetaKeywords, sMetaOwner, sMetaCopyright, sMetaAuthor, sMetaExpiration
	Dim sMetaCharset, sMetaLanguage, sMetaObjectType, sMetaRating, sMetaRobots, sMetaRevisit
	Dim sMetaPragma, sMetaCache, sMetaQuote, sMetaEntryDate, sMetaDay, sMetaMonth, sMetaYear

	sAction		= Trim(Request("sAction"))
	bRefresh	= Trim(Request("bRefresh"))
	sSort		= Trim(Request("sSort"))
	sMetaTagUnq	= Trim(Request("sMetaTagUnq"))
	
	If ( sAction = "ModifySEO" ) Then
		If ( NOT bOWBackOfficeDemoMode ) Then	' just do a cursory check in case hackers try to replicate the forms on their computers (return no error)
			sMetaTitle = Trim(Request("sMetaTitle"))
			If ( sMetaTitle <> "" ) Then
				sMetaDesc			= Request("sMetaDesc")
				sMetaKeywords		= Request("sMetaKeywords")
				sMetaOwner			= Request("sMetaOwner")
				sMetaCopyright		= Request("sMetaCopyright")
				sMetaAuthor			= Request("sMetaAuthor")
				sMetaExpiration		= Request("sMetaExpiration")
				sMetaCharset		= Request("sMetaCharset")
				sMetaLanguage		= Request("sMetaLanguage")
				sMetaObjectType		= Request("sMetaObjectType")
				sMetaRating			= Request("sMetaRating")
				sMetaRobots			= Request("sMetaRobots")
				sMetaRevisit		= Request("sMetaRevisit")
				sMetaPragma			= Request("sMetaPragma")
				sMetaCache			= Request("sMetaCache")
				sMetaQuote			= Request("sMetaQuote")
				sMetaDay			= CONVERSION_Numeric(Request("sMetaDay"), C_INTEGER)
				sMetaMonth			= CONVERSION_Numeric(Request("sMetaMonth"), C_INTEGER)
				sMetaYear			= CONVERSION_Numeric(Request("sMetaYear"), C_INTEGER)
				If ( sOWDateFormat = "1" ) Then
					sMetaExpiration	= sMetaMonth & "/" & sMetaDay & "/" & sMetaYear
				Else
					sMetaExpiration	= sMetaDay & "/" & sMetaMonth & "/" & sMetaYear
				End If
				
				If ( NOT IsDate(sMetaExpiration) ) Then
					sMetaExpiration = ""
				End If
				
				On Error Resume Next
				Call DB_updateDatabase("UPDATE owMetaTags SET MetaTitle = '" & CONVERSION_SQLEncode2(sMetaTitle, 250) & "', MetaDesc = '" & SQLEncode(sMetaDesc) & "', MetaKeywords = '" & SQLEncode(sMetaKeywords) & "', MetaExpiration = '" & CONVERSION_SQLEncode2(sMetaExpiration, 250) & "', MetaCharset = '" & CONVERSION_SQLEncode2(sMetaCharset, 250) & "', MetaLanguage = '" & CONVERSION_SQLEncode2(sMetaLanguage, 250) & "', MetaObjectType = '" & CONVERSION_SQLEncode2(sMetaObjectType, 250) & "', MetaRating = '" & CONVERSION_SQLEncode2(sMetaRating, 250) & "', MetaRobots = '" & CONVERSION_SQLEncode2(sMetaRobots, 250) & "', MetaRevisit = '" & CONVERSION_SQLEncode2(sMetaRevisit, 250) & "', MetaPragma = '" & CONVERSION_SQLEncode2(sMetaPragma, 250) & "', MetaCache = '" & CONVERSION_SQLEncode2(sMetaCache, 250) & "', MetaQuote = '" & SQLEncode(sMetaQuote) & "' WHERE MetaTagUnq = " & sMetaTagUnq)
				If ( Err.Number <> 0 ) Then
					Err.Clear
					' messed up, so try swapping the month/date for them and then try re-inserting
					If ( sOWDateFormat = "1" ) Then
						sMetaExpiration	= sMetaDay & "/" & sMetaMonth & "/" & sMetaYear
					Else
						sMetaExpiration	= sMetaMonth & "/" & sMetaDay & "/" & sMetaYear
					End If
					Call DB_updateDatabase("UPDATE owMetaTags SET MetaTitle = '" & CONVERSION_SQLEncode2(sMetaTitle, 250) & "', MetaDesc = '" & SQLEncode(sMetaDesc) & "', MetaKeywords = '" & SQLEncode(sMetaKeywords) & "', MetaExpiration = '" & CONVERSION_SQLEncode2(sMetaExpiration, 250) & "', MetaCharset = '" & CONVERSION_SQLEncode2(sMetaCharset, 250) & "', MetaLanguage = '" & CONVERSION_SQLEncode2(sMetaLanguage, 250) & "', MetaObjectType = '" & CONVERSION_SQLEncode2(sMetaObjectType, 250) & "', MetaRating = '" & CONVERSION_SQLEncode2(sMetaRating, 250) & "', MetaRobots = '" & CONVERSION_SQLEncode2(sMetaRobots, 250) & "', MetaRevisit = '" & CONVERSION_SQLEncode2(sMetaRevisit, 250) & "', MetaPragma = '" & CONVERSION_SQLEncode2(sMetaPragma, 250) & "', MetaCache = '" & CONVERSION_SQLEncode2(sMetaCache, 250) & "', MetaQuote = '" & SQLEncode(sMetaQuote) & "' WHERE MetaTagUnq = " & sMetaTagUnq)
				End If
				sMessage = CM_MODIFYSUCCESS
			Else
				sMessage = CM_E_MISSING_TITLE
			End If
		End If
	Else
		sError = RetrieveData(sMetaTagUnq)
	End If

	If ( sError = "" ) Then
		Call WriteForm()
	Else
		Response.Redirect "owListSEO.asp?sMessage=" & sError
	End If
	
	'************************************************************************************
	'*																					*
	'*																					*
	'*																					*
	'************************************************************************************
	Sub WriteForm()
		%>
		<script language = "javascript">
	
			parent.owBodyTopNav.location="owBodyTopNav.asp?sPage=ModifySEO&sMessage=<%=sMessage%>"
			parent.owBodyFooter.location="owBodyFooter.asp?sAction=Null"
			
			ol_width="400";		// set the overlib popup window to 400 pixels wide
			
			function textCounter(field, countfield, maxlimit) {
				if (field.value.length > maxlimit)
				{
					field.value = field.value.substring(0, maxlimit);
				}else{
					countfield.value = field.value.length;
				}
			}

		</script>
		
		<body onLoad = "toForm();" style="font-family: Arial; font-size: 11px;" topmargin="0" leftmargin="0" bgcolor=C3DAF9>
		<script language=JavaScript src="../../owScriptLibrary/overlib.js"><!-- overLIB (c) Erik Bosrup --></script>
		<div id=overDiv style="Z-INDEX: 1000; VISIBILITY: hidden; POSITION: absolute"></div>
		<form method="post" name="ModifySEO" action='owModifySEO.asp'>
			<input type='hidden' name='sAction' value='ModifySEO'>
			<input type='hidden' name='sSort' value='<%=sSort%>'>
			<input type='hidden' name='sMetaTagUnq' value='<%=sMetaTagUnq%>'>
			<table border="0" cellpadding="0" cellspacing="0" width="100%" style="padding:5px; FONT-SIZE: 11px; COLOR: #000000" bgcolor="#ffffff"><tr><td>
			<table border="0" cellpadding="0" cellspacing="0" width="100%" style="FONT-SIZE: 11px; COLOR: #000000" bgcolor="#ffffff">
				<tr>
					<td style='padding-bottom: 2px; padding-top: 6px;' valign=top>
						<a onMouseOver="return overlib('<%=LANG_DT( "SEO_TITLEDESC", "This Title is used by most engines in their search results and appears directly above or to the left of your Description.<ul><li>Try not to exceed 50 letters and spaces.<li>Put you most important keyword first.<br>Example using 73 letters:<br>paint &amp; painting supplies - wholesale &amp; retail - Denver Paint Company<p>" )%>', CAPTION, '<%=LANG_DT( "SEO_TITLE", "Title" )%>', CENTER);" onMouseOut=nd(); href="javascript:void(0);"><img src='../Images/QuestionImage.gif' width=15 height=15 border=0 align=absmiddle></a>
						<%=LANG_DT( "SEO_TITLE", "Title" )%>:
						<br>
						<input onKeyDown="textCounter(this.form.sMetaTitle,this.form.titlechars,50);" onKeyUp="textCounter(this.form.sMetaTitle,this.form.titlechars,50);" maxlength=200 size=50 name=sMetaTitle value="<%=Server.HTMLEncode(sMetaTitle)%>">
						<br>
						<%=LANG_DT( "SEO_LETTERCOUNT", "Letter Count" )%>
						<input id=titlechars readOnly maxlength=4 size=3 name=titlechars value='<%=Len(sMetaTitle)%>'>
						<br><br>
						<a onMouseOver="return overlib('<%=LANG_DT( "SEO_DESC_DESC", "This Description is used by most engines in their search results to tell users about your site. Be Consise and To-The-Point. <ul><li>Try not to exceed 250 letters and spaces.<li>Put you most important keyword first.<br>Example using 73 letters:<br>paint &amp; painting supplies - wholesale &amp; retail - Denver Paint Company<p>" )%>', CAPTION, '<%=LANG_DT( "SEO_DESC", "Description" )%>', CENTER);" onMouseOut=nd(); href="javascript:void(0);"><img src='../Images/QuestionImage.gif' width=15 height=15 border=0 align=absmiddle></a>
						<%=LANG_DT( "SEO_DESC", "Description" )%>:
						<br>
						<textarea onKeyDown="textCounter(this.form.sMetaDesc,this.form.descriptionchars,250);" onKeyUp="textCounter(this.form.sMetaDesc,this.form.descriptionchars,250);" name=sMetaDesc wrap=virtual cols=50 rows="5"><%=Server.HTMLEncode(sMetaDesc)%></textarea>
						<br>
						<%=LANG_DT( "SEO_LETTERCOUNT", "Letter Count" )%>
						<input id=descriptionchars readOnly maxlength=4 size=3 name=descriptionchars value='<%=Len(sMetaDesc)%>'>
						<br><br>
						<a onMouseOver="return overlib('<%=LANG_DT( "SEO_KEYWORDSDESC", "Keywords are used by most search engines to learn about your web site and to help them know when to bring up your web site in its search results.<ul><li>Keywords can be individual words or 2-3 word phrases.<li>Some search engines limit how many words or characters and spaces they accept. They trim off any excess above their limit. That is why it is Very Important to list your keywords starting with the most important to the least important.<li>Use the plural form when possible, i.e., mountains, paints, etc.<li>Use Lower Case letters for your words as 85% of searchers use them and some engines are case sensitive. DO NOT USE ALL CAPS<li>Keyphrases should be used as often as possible as they can provide a stronger match and bring you higher in the list<li>You can list as many keywords as you like however, more is not always better. Use as many as you need but stay focused and to the point.</ul><p>Seperate keywords with a comma." )%>', CAPTION, '<%=LANG_DT( "SEO_KEYWORDS", "Keywords" )%>', CENTER);" onMouseOut=nd(); href="javascript:void(0);"><img src='../Images/QuestionImage.gif' width=15 height=15 border=0 align=absmiddle></a>
						<%=LANG_DT( "SEO_KEYWORDS", "Keywords" )%>:
						<br>
						<textarea onKeyDown="textCounter(this.form.sMetaKeywords,this.form.descriptionchars2,1000);" onKeyUp="textCounter(this.form.sMetaKeywords,this.form.descriptionchars2,1000);" name=sMetaKeywords wrap=virtual cols=50 rows="5"><%=Server.HTMLEncode(sMetaKeywords)%></textarea>
						<br>
						<%=LANG_DT( "SEO_LETTERCOUNT", "Letter Count" )%>
						<input id=descriptionchars2 readOnly maxlength=4 size=3 name=descriptionchars2 value='<%=Len(sMetaKeywords)%>'>
						<br><br>
						<a onMouseOver="return overlib('<%=LANG_DT( "SEO_QUOTESDESC", "The optional quote will be visible to your customers on the website. Leave this field blank to disable the quote on the website. This quote will also help with search engine placement." )%>', CAPTION, '<%=LANG_DT( "SEO_QUOTES", "Quotes" )%>', CENTER);" onMouseOut=nd(); href="javascript:void(0);"><img src='../Images/QuestionImage.gif' width=15 height=15 border=0 align=absmiddle></a>
						<%=LANG_DT( "SEO_QUOTES", "Quotes" )%>:
						<br>
						<textarea onKeyDown="textCounter(this.form.sMetaQuote,this.form.descriptionchars3,1000);" onKeyUp="textCounter(this.form.sMetaQuote,this.form.descriptionchars3,1000);" name=sMetaQuote wrap=virtual cols=50 rows="5"><%=sMetaQuote%></textarea>
						<br>
						<%=LANG_DT( "SEO_LETTERCOUNT", "Letter Count" )%>
						<input id=descriptionchars3 readOnly maxlength=4 size=3 name=descriptionchars3 value='<%=Len(sMetaQuote)%>'>
					</td>
					<td style='padding-bottom: 2px; padding-top: 6px;' valign=top>
						<a onMouseOver="return overlib('<%=LANG_DT( "SEO_EXPDATEDESC", "Date when your listing may be deleted from the engines.<br>Do not select a date if you want it to NEVER expire. If you do want it to expire enter a date." )%>', CAPTION, '<%=LANG_DT( "SEO_EXPDATE", "Expiration Date" )%>', CENTER);" onMouseOut=nd(); href="javascript:void(0);"><img src='../Images/QuestionImage.gif' width=15 height=15 border=0 align=absmiddle></a>
						<%=LANG_DT( "SEO_EXPDATE", "Expiration Date" )%>:
						<%Call STRUCTURE_DispDateDropDown("sMetaDay", "sMetaMonth", "sMetaYear", True, True, True, sMetaDay, sMetaMonth, sMetaYear, True, True, True)%>
						<br><br>
						<%=LANG_DT( "SEO_PRAGMA", "Pragma" )%>: <input type='text' name=sMetaPragma value="<%=Server.HTMLEncode(sMetaPragma)%>">
						<br><br>
						<%=LANG_DT( "SEO_CHARSET", "Charset, ISO-8859-1 is standard" )%>:
						<select size=1 name=sMetaCharset>
							<option <%If ( sMetaCharset = "ISO-8859-1" ) Then Response.Write "selected" End If%> value="ISO-8859-1">ISO-8859-1</option>
							<option <%If ( sMetaCharset = "ISO-8859-2" ) Then Response.Write "selected" End If%> value="ISO-8859-2">ISO-8859-2</option>
							<option <%If ( sMetaCharset = "ISO-8859-3" ) Then Response.Write "selected" End If%> value="ISO-8859-3">ISO-8859-3</option>
							<option <%If ( sMetaCharset = "ISO-8859-4" ) Then Response.Write "selected" End If%> value="ISO-8859-4">ISO-8859-4</option>
							<option <%If ( sMetaCharset = "ISO-8859-5" ) Then Response.Write "selected" End If%> value="ISO-8859-5">ISO-8859-5</option>
							<option <%If ( sMetaCharset = "ISO-8859-6" ) Then Response.Write "selected" End If%> value="ISO-8859-6">ISO-8859-6</option>
							<option <%If ( sMetaCharset = "ISO-8859-7" ) Then Response.Write "selected" End If%> value="ISO-8859-7">ISO-8859-7</option>
							<option <%If ( sMetaCharset = "ISO-8859-8" ) Then Response.Write "selected" End If%> value="ISO-8859-8">ISO-8859-8</option>
							<option <%If ( sMetaCharset = "ISO-8859-9" ) Then Response.Write "selected" End If%> value="ISO-8859-9">ISO-8859-9</option>
							<option <%If ( sMetaCharset = "ISO-2022-JP" ) Then Response.Write "selected" End If%> value="ISO-2022-JP">ISO-2022-JP</option>
							<option <%If ( sMetaCharset = "ISO-2022-JP-2" ) Then Response.Write "selected" End If%> value="ISO-2022-JP-2">ISO-2022-JP-2</option>
							<option <%If ( sMetaCharset = "ISO-2022-KR" ) Then Response.Write "selected" End If%> value="ISO-2022-KR">ISO-2022-KR</option>
							<option <%If ( sMetaCharset = "US-ASCII" ) Then Response.Write "selected" End If%> value="US-ASCII">US-ASCII</option>
							<option <%If ( sMetaCharset = "GB2312" ) Then Response.Write "selected" End If%> value="GB2312">GB2312</option>
							<option <%If ( sMetaCharset = "EUC-KR" ) Then Response.Write "selected" End If%> value="EUC-KR">EUC-KR</option>
							<option <%If ( sMetaCharset = "SHIFT_JIS" ) Then Response.Write "selected" End If%> value="SHIFT_JIS">SHIFT_JIS</option>
							<option <%If ( sMetaCharset = "BIG5" ) Then Response.Write "selected" End If%> value="BIG5">BIG5</option>
							<option <%If ( sMetaCharset = "KSC_5601" ) Then Response.Write "selected" End If%> value="KSC_5601">KSC_5601</option>
							<option <%If ( sMetaCharset = "KOI8-R" ) Then Response.Write "selected" End If%> value="KOI8-R">KOI8-R</option>
							<option <%If ( sMetaCharset = "HZ-GB-2312" ) Then Response.Write "selected" End If%> value="HZ-GB-2312">HZ-GB-2312</option>
							<option <%If ( sMetaCharset = "JIS_X0208" ) Then Response.Write "selected" End If%> value="JIS_X0208">JIS_X0208</option>
						</select>
						<br><br>
						<%=LANG_DT( "SEO_LANGUAGE", "Language" )%>:
						<select size=1 name=sMetaLanguage>
							<option <%If ( sMetaLanguage = "English" ) Then Response.Write "selected" End If%> value="English">English</option>
							<option <%If ( sMetaLanguage = "French" ) Then Response.Write "selected" End If%> value="French">French</option>
							<option <%If ( sMetaLanguage = "Dutch" ) Then Response.Write "selected" End If%> value="Dutch">Dutch</option>
							<option <%If ( sMetaLanguage = "German" ) Then Response.Write "selected" End If%> value="German">German</option>
							<option <%If ( sMetaLanguage = "Chinese" ) Then Response.Write "selected" End If%> value="Chinese">Chinese</option>
							<option <%If ( sMetaLanguage = "Finish" ) Then Response.Write "selected" End If%> value="Finish">Finish</option>
							<option <%If ( sMetaLanguage = "Spanish" ) Then Response.Write "selected" End If%> value="Spanish">Spanish</option>
							<option <%If ( sMetaLanguage = "Korean" ) Then Response.Write "selected" End If%> value="Korean">Korean</option>
							<option <%If ( sMetaLanguage = "Danish" ) Then Response.Write "selected" End If%> value="Danish">Danish</option>
							<option <%If ( sMetaLanguage = "Italian" ) Then Response.Write "selected" End If%> value="Italian">Italian</option>
							<option <%If ( sMetaLanguage = "Russian" ) Then Response.Write "selected" End If%> value="Russian">Russian</option>
							<option <%If ( sMetaLanguage = "Portuguese" ) Then Response.Write "selected" End If%> value="Portuguese">Portuguese</option>
							<option <%If ( sMetaLanguage = "Japanese" ) Then Response.Write "selected" End If%> value="Japanese">Japanese</option>
							<option <%If ( sMetaLanguage = "Swedish" ) Then Response.Write "selected" End If%> value="Swedish">Swedish</option>
							<option <%If ( sMetaLanguage = "Arabic" ) Then Response.Write "selected" End If%> value="Arabic">Arabic</option>
						</select>
						<br><br>
						<%=LANG_DT( "SEO_OBJ", "Object Type" )%>:
						<select size=1 name=sMetaObjectType>
							<option <%If ( sMetaObjectType = "Document" ) Then Response.Write "selected" End If%> value="Document">Document</option>
							<option <%If ( sMetaObjectType = "Homepage" ) Then Response.Write "selected" End If%> value="Homepage">Homepage</option>
							<option <%If ( sMetaObjectType = "World" ) Then Response.Write "selected" End If%> value="World">World</option>
							<option <%If ( sMetaObjectType = "RealWorld" ) Then Response.Write "selected" End If%> value="RealWorld">RealWorld</option>
							<option <%If ( sMetaObjectType = "FAQ" ) Then Response.Write "selected" End If%> value="FAQ">FAQ</option>
							<option <%If ( sMetaObjectType = "RFC" ) Then Response.Write "selected" End If%> value="RFC">RFC</option>
							<option <%If ( sMetaObjectType = "Magazine" ) Then Response.Write "selected" End If%> value="Magazine">Magazine</option>
							<option <%If ( sMetaObjectType = "Mall" ) Then Response.Write "selected" End If%> value="Mall">Mall</option>
							<option <%If ( sMetaObjectType = "Dictionary" ) Then Response.Write "selected" End If%> value="Dictionary">Dictionary</option>
							<option <%If ( sMetaObjectType = "Archive" ) Then Response.Write "selected" End If%> value="Archive">Archive</option>
							<option <%If ( sMetaObjectType = "SearchEngine" ) Then Response.Write "selected" End If%> value="SearchEngine">SearchEngine</option>
							<option <%If ( sMetaObjectType = "Hypercatalog" ) Then Response.Write "selected" End If%> value="Hypercatalog">Hypercatalog</option>
							<option <%If ( sMetaObjectType = "Keybank" ) Then Response.Write "selected" End If%> value="Keybank">Keybank</option>
							<option <%If ( sMetaObjectType = "Manual" ) Then Response.Write "selected" End If%> value="Manual">Manual</option>
							<option <%If ( sMetaObjectType = "Index" ) Then Response.Write "selected" End If%> value="Index">Index</option>
							<option <%If ( sMetaObjectType = "Book" ) Then Response.Write "selected" End If%> value="Book">Book</option>
							<option <%If ( sMetaObjectType = "Database" ) Then Response.Write "selected" End If%> value="Database">Database</option>
							<option <%If ( sMetaObjectType = "Journal" ) Then Response.Write "selected" End If%> value="Journal">Journal</option>
							<option <%If ( sMetaObjectType = "Catalog" ) Then Response.Write "selected" End If%> value="Catalog">Catalog</option>
							<option <%If ( sMetaObjectType = "Linecard" ) Then Response.Write "selected" End If%> value="Linecard">Linecard</option>
							<option <%If ( sMetaObjectType = "Howto" ) Then Response.Write "selected" End If%> value="Howto">Howto</option>
						</select>
						<br><br>
						<%=LANG_DT( "SEO_RATING", "Rating" )%>:
						<select size=1 name=sMetaRating>
							<option <%If ( sMetaRating = "General" ) Then Response.Write "selected" End If%> value="General"><%=LANG_DT( "SEO_RATING1", "General Audience" )%></option>
							<option <%If ( sMetaRating = "Mature" ) Then Response.Write "selected" End If%> value="Mature"><%=LANG_DT( "SEO_RATING2", "Mature Audience" )%></option>
							<option <%If ( sMetaRating = "Restricted" ) Then Response.Write "selected" End If%> value="Restricted"><%=LANG_DT( "SEO_RATING3", "Restricted" )%></option>
						</select>
						<br><br>
						<a onMouseOver="return overlib('<%=LANG_DT( "SEO_ROBOTSDESC", "index = search engine robots can include this page in search engines.<br>follow = search engine robots can follow page links to find other pages.<br>" )%>', CAPTION, '<%=LANG_DT( "SEO_ROBOTS", "Robots" )%>', CENTER);" onMouseOut=nd(); href="javascript:void(0);"><img src='../Images/QuestionImage.gif' width=15 height=15 border=0 align=absmiddle></a>
						<%=LANG_DT( "SEO_ROBOTS", "Robots" )%>:
						<select name='sMetaRobots'>
							<option <%If ( sMetaRobots = "index,follow" Or sMetaRobots = "" ) Then Response.Write "selected" End If%> value="index,follow"> <%=LANG_DT( "SEO_ROBOTS1", "<b>index</b> &amp; <b>follow</b>" )%></option>
							<option <%If ( sMetaRobots = "nofollow" ) Then Response.Write "selected" End If%> value="nofollow"> <%=LANG_DT( "SEO_ROBOTS2", "don't follow" )%> (<b>nofollow</b>)</option>
							<option <%If ( sMetaRobots = "noindex" ) Then Response.Write "selected" End If%> value="noindex"> <%=LANG_DT( "SEO_ROBOTS3", "don't index" )%> (<b>noindex</b>)</option>
						</select>
						<br><br>
						<%=LANG_DT( "SEO_CACHE", "Cache-Control" )%>: <input type='text' name=sMetaCache value="<%=Server.HTMLEncode(sMetaCache)%>">
						<br><br>
						<%=LANG_DT( "SEO_REVISIT", "Revisit Interval" )%>:
						<select name='sMetaRevisit'>
							<option <%If ( sMetaRevisit = "7 Days" Or sMetaRevisit = "" ) Then Response.Write "selected" End If%> value="7 Days"><%=LANG_DT( "SEO_REVISIT7", "7 Days" )%></option>
							<option <%If ( sMetaRevisit = "30 Days" ) Then Response.Write "selected" End If%> value="30 Days"><%=LANG_DT( "SEO_REVISIT30", "30 Days" )%></option>
							<option <%If ( sMetaRevisit = "180 Days" ) Then Response.Write "selected" End If%> value="180 Days"><%=LANG_DT( "SEO_REVISIT180", "180 Days" )%></option>
							<option <%If ( sMetaRevisit = "360 Days" ) Then Response.Write "selected" End If%> value="360 Days"><%=LANG_DT( "SEO_REVISIT360", "360 Days" )%></option>
						</select>
					</td>
				</tr>
			</table>
			</td></tr></table>
		</form>
		<%
	End Sub
	'************************************************************************************
	
	
	
	'************************************************************************************
	'*																					*
	'*																					*
	'*																					*
	'************************************************************************************
	Function RetrieveData(sMetaTagUnq)
	
		RetrieveData = ""
	
		sSQLText = "SELECT * FROM owMetaTags (NOLOCK) WHERE MetaTagUnq = " & sMetaTagUnq
		Call DB_getFromDatabase(sSQLText, rsStoreData, "") 
		If ( NOT rsStoreData.EOF ) Then
			sMetaTitle			= Trim(rsStoreData("MetaTitle"))
			sMetaDesc			= Trim(rsStoreData("MetaDesc"))
			sMetaKeywords		= Trim(rsStoreData("MetaKeywords"))
			sMetaOwner			= Trim(rsStoreData("MetaOwner"))
			sMetaCopyright		= Trim(rsStoreData("MetaCopyright"))
			sMetaAuthor			= Trim(rsStoreData("MetaAuthor"))
			sMetaExpiration		= Trim(rsStoreData("MetaExpiration"))
			sMetaCharset		= Trim(rsStoreData("MetaCharset"))
			sMetaLanguage		= Trim(rsStoreData("MetaLanguage"))
			sMetaObjectType		= Trim(rsStoreData("MetaObjectType"))
			sMetaRating			= Trim(rsStoreData("MetaRating"))
			sMetaRobots			= Trim(rsStoreData("MetaRobots"))
			sMetaRevisit		= Trim(rsStoreData("MetaRevisit"))
			sMetaPragma			= Trim(rsStoreData("MetaPragma"))
			sMetaCache			= Trim(rsStoreData("MetaCache"))
			sMetaQuote			= Trim(rsStoreData("MetaQuote"))
			sMetaEntryDate		= Trim(rsStoreData("MetaEntryDate"))
			sMetaDay			= 0
			sMetaMonth			= 0
			sMetaYear			= 0
			If ( NOT IsNull(sMetaExpiration) ) And ( sMetaExpiration <> "" ) Then
				If ( CONVERSION_Numeric(Year(sMetaExpiration), C_INTEGER) > 1990 ) Then	' because it'll enter it into the database as 1900 if it's blank
					sMetaDay		= CONVERSION_Numeric(Day(sMetaExpiration), C_INTEGER)
					sMetaMonth		= CONVERSION_Numeric(Month(sMetaExpiration), C_INTEGER)
					sMetaYear		= CONVERSION_Numeric(Year(sMetaExpiration), C_INTEGER)
				End If
			End If
		Else
			RetrieveData = CM_E_MISSINGSEO
		End If
		Call DB_closeRecordset(rsStoreData)
		
	End Function
	'************************************************************************************
	%>
<!--#include file="../footer.asp"-->