<!--#include file="../owFunctions/I_GeneralFunctions.asp"-->
<%sPath = "../"%>
<%
	'************************************************************************************
	'*																					*
	'*	MODIFICATION TO THIS SCRIPT OR ANY FILES INCLUDED WITH 							*
	'*		ONEWORLDSTOREFRONT IS DONE AT YOUR OWN RISK!								*
	'*	Product  : OneWorldStoreFront													*

	'*	Copyright:	Copyright (C) 2004 OneWorldStoreFront.Com							*
	'*				Registration Number: 1024507										*
	'*				http://strategis.ic.gc.ca/											*
	'*																					*
	'************************************************************************************
	
	Dim sAction, sError, sSuccess, sEmail, sRedirectUrl
	Dim sEmailBody, sSubject, sForgottenEmail
	
	Call SF_OpenPage()	' call this to populate the cart information - this is also called in the template, but since we are doing this out of order, we need a special case here
	Call owMain()
	
	' must put the include down here so that the ActionSubroutine() Sub will have access to the globals
	'	that are set in owMain()
	%><!--#include file="../owTemplates/Template_AllLeft.asp"--><%
	
	
	'************************************************************************************
	'*																					*
	'*																					*
	'*																					*
	'************************************************************************************
	Sub owMain()
		sAction = Trim(Request("sAction"))
		sError	= ""
		sRedirectUrl 	= CONVERSION_Numeric(Request("sRedirectUrl"), C_INTEGER)
		
		Select Case sAction
			Case "Login"
				sEmail 			= CONVERSION_SQLEncode2(Request("sEmail"),50)
				sPassword 		= CONVERSION_SQLEncode2(Request("sPassword"),50)
				
				If ( ( sEmail = "" ) Or ( sPassword = "" ) ) Then
					sError = LANG_DT( "AUTHCUST_ENTEREMAIL", "Please enter your email and password to log into your account and checkout." )
				Else
					sPassword = EnCrypt(sPassword, strRc4Key)
					sSQLText = "SELECT AccountUnq FROM owAccounts WHERE Login = '" & sEmail & "' AND Password = '" & sPassword & "' AND ( AddDate > RemoveDate OR RemoveDate IS NULL ) AND Authenticated = 'Y'"
					Call DB_getFromDatabase(sSQLText, rsStoreData, "") 
					If ( rsStoreData.EOF ) Then
						sError = LANG_DT( "AUTHCUST_NOTVALIDATE", "Unable to validate your password. Please try again." )
						Call DB_closeRecordset(rsStoreData)
					Else
						Session("Login")		= sEmail
						Session("Password")		= sPassword
						Session("AccountUnq")	= rsStoreData("AccountUnq")
						Session("Auto")			= "N"	' for future use
		
						Call DB_closeRecordset(rsStoreData)
						if sRedirectUrl = 0 then
							response.redirect "CustomerAdmin/owCustomerAdminMain.asp"
						else
							Select Case sRedirectUrl
								Case 1
									Response.Redirect "owCheckOut.asp"	' coming from the owCheckOut.asp page and they weren't logged in
								Case Else
									Response.Redirect "CustomerAdmin/owCustomerAdminMain.asp"	' coming from anywhere else
							End Select
						End If
					End If
				End If
				
			Case "Forgotten"
				sForgottenEmail = Trim(Request("sForgottenEmail"))
				If ( sForgottenEmail <> "" ) Then
					sPassword = ""
					
					If ( ACCNT_InGroup(iLoginAccountUnq, C_GROUP_ADMIN) ) Then
						' the user is an admin. look in the ADV for their email address.
						sSQLText = "SELECT A.Password FROM owAccountData AD, owAccounts A WHERE AD.AccountUnq = A.AccountUnq AND AD.MapName = 'OW_CUSTEMAIL' AND AD.VarCharData = '" & SQLEncode(sForgottenEmail) & "' AND ( A.AddDate > A.RemoveDate OR A.RemoveDate IS NULL ) AND A.Authenticated = 'Y'"
						Call DB_getFromDatabase(sSQLText, rsStoreData, "")
						If ( NOT rsStoreData.EOF ) Then
							sPassword = Decrypt(rsStoreData("Password"), strRc4Key) 
						End If
						Call DB_closeRecordset(rsStoreData)
					Else
						' the user is a normal customer, look in the owAccounts Login column for their email (aka. their "login")
						'	this is because we force customers to use their email address as their login, whereas we do not force this with administrators
						sSQLText = "SELECT Password FROM owAccounts WHERE Login = '" & SQLEncode(sForgottenEmail) & "' AND ( AddDate > RemoveDate OR RemoveDate IS NULL ) AND Authenticated = 'Y'"
						Call DB_getFromDatabase(sSQLText, rsStoreData, "")
						If ( NOT rsStoreData.EOF ) Then
							sPassword = Decrypt(rsStoreData("Password"), strRc4Key) 
						End If
						Call DB_closeRecordset(rsStoreData)
					End If
				
					If ( sPassword <> "" ) Then
						sEmailBody = LANG_DT( "FORGOTTENPW_EMAIL", "" )
						sEmailBody = Replace(sEmailBody, "#LOGIN#", sForgottenEmail)
						sEmailBody = Replace(sEmailBody, "#PASSWORD#", sPassword)
						sEmailBody = Replace(sEmailBody, "#WEBSITE#", sOWStoreUrlNonSSL)
						'Thank you for shopping with us.
						'Your login is: #LOGIN#
						'Your password is: #PASSWORD#
						'
						'You can return to the store by <a href='#WEBSITE#owBasket/owCheckOut.asp'>clicking this link</a> or entering this url into your browser: #WEBSITE#owBasket/owCheckOut.asp
						
						sSubject = Replace(LANG_DT( "FORGOTTENPW_EMAIL_SUBJECT", "Password Retrieval from #COMPANY#" ), "#COMPANY#", sOWCompany)
			
						Call sendMail(sOWCompany, sOWEmailSender, sForgottenEmail, sSubject, sEmailBody)
						sSuccess = "Your login and password have been sent to your email address."
					Else
						sError = LANG_DT( "FORGOTTENPW_MISSINGLOGIN", "Unable to find your email address in the system. Please enter another address to try again." )
					End If
					'Call DB_closeRecordset(rsStoreData)
				Else
					sError = LANG_DT( "FORGOTTENPW_ENTEREMAIL", "Please enter an email address to send your login and password to." )
				End If
				
		End Select
	
	End Sub
	'************************************************************************************
		
	
	'************************************************************************************
	'*																					*
	'*																					*
	'*																					*
	'************************************************************************************
	Sub ActionSubroutine()

		if ( bHasAccount ) then
			response.redirect "CustomerAdmin/owCustomerAdminMain.asp"
		Else
			If ( sError <> "" ) Then
				Call owMessage(sError, C_ERROR)
			End If
			If ( sSuccess <> "" ) Then
				Call owMessage(sSuccess, C_SUCCESS)
			End If
			%>
			<script type="text/javascript" src="../owManager/Script/fValConfig.js"></script>
			<script type="text/javascript" src="../owManager/Script/fValidate.js"></script>
			
			<script language='JavaScript1.2' type='text/javascript'>
		
				function SubmitForm(objForm, sAction){
				
					if ( validateForm( objForm, false, false, false, false, 17 ) )
					{
						objForm.sAction.value = sAction;
						objForm.submit();
					}else{
						return false;
					}
				}
				
			</script>

			<center>
			<table width=<%=sOWStoreTableWidth%> border=0 style='border: 1px solid #000000;' cellspacing=0 cellpadding=5>
			<form method="post" name="auth" action="owCustomerAuthenticate.asp" onSubmit='return SubmitForm(this, "Login");'>
			<input type="hidden" name="sAction" value="Login">
			<input type="hidden" name="sRedirectUrl" value="<%=sRedirectUrl%>">
				<tr bgcolor="#eeeeee"><td colspan=3 style='border-bottom: 1px solid #000000;'><b><%=LANG_DT( "CHECKOUT_CUSTLOGIN", "Customer Log In" )%></b></td></tr>
				<tr>
					<td><%=LANG_DT( "CHECKOUT_LOGINEMAIL", "E-mail" )%></td>
					<td><input name="sEmail" type="text" size="50" value="" alt="blank" emsg="<%=Server.HTMLEncode(LANG_DT( "CHECKOUT_ENTEREMAIL", "Please enter your email address or your login account name." ))%>"></td>
					<td valign=center rowspan=3>
						<table border=0 cellspacing=0 cellpadding=5>
							<tr>
								<td>
									<%if bOWAllowNewCustomer then%>
									<i><%=LANG_DT( "CHECKOUT_NOTMMBR", "Not a member yet?" )%><br>
									<a href="owRegister.asp"><%=LANG_DT( "CHECKOUT_CLICKTOREG", "Click here to register." )%></a></i><br>
									<%End If%>
								</td>
							</tr>
						</table>
					</td>
				</tr>
				<tr>
					<td><%=LANG_DT( "CHECKOUT_PW", "Password" )%></td>
					<td><input name="sPassword" type="password" size="50" value="" alt="blank" emsg="<%=Server.HTMLEncode(LANG_DT( "CHECKOUT_ENTERPW", "Please enter your password." ))%>"></td>
				</tr>
				<tr>
					<td colspan=2>
						<input type="submit" name="Submit" value=" <%=LANG_DT( "CHECKOUT_LOGIN", "Log In" )%> &gt; ">
					</td>
				</tr>
			</table>
			<br><br>
			<table width=<%=sOWStoreTableWidth%> border=0 style='border: 1px solid #000000;' cellspacing=0 cellpadding=5>
				<tr bgcolor="#eeeeee"><td colspan=3 style='border-bottom: 1px solid #000000;'><b><%=LANG_DT( "CHECKOUT_FORGOTPW1", "Forgotten your password?" )%></b></td></tr>
				<tr>
					<td colspan=2>
						<%=LANG_DT( "CHECKOUT_FORGOTPW2", "Please enter your email: " )%>&nbsp;
						<%VALIDATE_textbox "sForgottenEmail", "", 50, "textbox", ""%>
					</td>
					<td>
						<input type='button' value=' <%=LANG_DT( "CHECKOUT_SENDMEPW", "Send me my password" )%> ' onClick='auth.sAction.value="Forgotten"; auth.submit();'>
					</td>
				</tr>
			</form>
			</table>
			<%
		End If
		
	End Sub
	'************************************************************************************
%>