<!--#include file="../owFunctions/I_GeneralFunctions.asp"-->
<!--#include file="../owFunctions/I_Shipping.asp"-->
<%sPath = "../"%>
<!--#include file="../owTemplates/Template_AllLeft.asp"-->
<%
	'************************************************************************************
	'*																					*
	'*	MODIFICATION TO THIS SCRIPT OR ANY FILES INCLUDED WITH 							*
	'*		ONEWORLDSTOREFRONT IS DONE AT YOUR OWN RISK!								*
	'*	Product  : OneWorldStoreFront													*

	'*	Copyright:	Copyright (C) 2004 OneWorldStoreFront.Com							*
	'*				Registration Number: 1024507										*
	'*				htp://strategis.ic.gc.ca/											*
	'*																					*
	'************************************************************************************

	Dim sOWShipWeightType, sOWShipDimensionType, shipmentsArray
	Dim shipmentIndex, sCartQuantity, sCartTotalWeight
	
	'************************************************************************************
	'*																					*
	'*																					*
	'*																					*
	'************************************************************************************
	Sub ActionSubroutine()
		
		ReDim shipmentsArray(100,7)

		sShippingCountryCode		= Trim(Request("sCountryCode"))
		sShippingZip				= Trim(Request("sZip"))
		sShippingStateCode			= Trim(Request("sShippingStateCode"))	' required for Canada Post shipping (it's can't use just the postal code/country
		If ( sShippingStateCode = "" ) Then
			sShippingStateCode = STRUCTURE_ReturnState(sShippingCountryCode, sShippingZip)
		End If
		bCheckout					= Trim(Request("bCheckout"))
		
		shipmentIndex 				= 0
		bOWUPSActive				= CInt(owCONFIG_ReturnConfigValue("bOWUPSActive"))
		bOWUSPSActive				= CInt(owCONFIG_ReturnConfigValue("bOWUSPSActive"))
		bOWCanadaPostActive			= CInt(owCONFIG_ReturnConfigValue("bOWCanadaPostActive"))
		sOWShipWeightType			= owCONFIG_ReturnConfigValue("sOWShipWeightType")
		sOWShipDimensionType		= owCONFIG_ReturnConfigValue("sOWShipDimensionType")
		dMaxLength					= 0
		dMaxHeight					= 0
		dWidthSummation				= 0
		bNonRealTime				= False
		sSubTotal  					= CART_CalcTotal()
		sCartTotalWeight 			= CART_CalcWeight()
		sCartQuantity  				= CART_CalcQty()
		sCartFreeShippingWeight 	= CART_CalcFreeShipWeight()

		Call CART_CalcVolume(dMaxLength, dMaxHeight, dWidthSummation)
		
		If ( sOWCurrencyCode <> "" ) Then sTempCurrencyCode = "(" & sOWCurrencyCode & ")" End If
		
		If ( sShippingCountryCode <> "" ) Then
			sDestTerritory		= STRUCTURE_TerritoryLabel(sShippingCountryCode)
			sSourceTerritory	= STRUCTURE_TerritoryLabel(sOriginatingCountry)
		Else
			sDestTerritory		= "State"
			sSourceTerritory	= "State"
		End If
		sDestCity	= STRUCTURE_ReturnCity(sShippingCountryCode, sShippingZip, sDestFullStateName)	' can't use sFullStateName in the UPS info

		' make sure we've got the basics first
		If ( bOWUPSActive ) Then
			If ( ( Trim(owCONFIG_ReturnConfigValue("sOWUpsPassword")) = "" ) Or ( Trim(owCONFIG_ReturnConfigValue("sOWUpsUser")) = "" ) Or ( Trim(owCONFIG_ReturnConfigValue("sOWUpsLicense")) = "" ) ) Then
				bOWUPSActive	= False	' deactivate UPS because the license, user and/or password is missing
				sUPSError		= LANG_DT( "SHIPQUERYEXEC_MISSINGUPS", "The UPS License, User and/or Password is missing. Please enter UPS License, User, and Password in the OneWorldStoreFront manager Shipping Manager screen." )
			End If
		End If
		If ( bOWUSPSActive ) Then
			If ( ( Trim(owCONFIG_ReturnConfigValue("sOWUSPSUser")) = "" ) Or ( Trim(owCONFIG_ReturnConfigValue("sOWUSPSPassword")) = "" ) ) Then
				bOWUSPSActive	= False	' deactivate USPS because the user and/or password is missing
				sUSPSError		= LANG_DT( "SHIPQUERYEXEC_MISSINGUSPS", "The USPS User and/or Password is missing. Please enter USPS User, and Password in the OneWorldStoreFront manager Shipping Manager screen." )
			End If
		End If
		If ( bOWCanadaPostActive ) Then
			If ( Trim(owCONFIG_ReturnConfigValue("sOWCanadaPostCPC")) = "" ) Then
				bOWCanadaPostActive = False	' deactivate USPS because the user and/or password is missing
				sCPError		= LANG_DT( "SHIPQUERYEXEC_MISSINGCP", "The Canadian Postal ID is missing. Please enter this information into the OneWorldStoreFront manager Shipping Manager screen." )
			End If
		End If
		
		' ****************************************RETURN SHIPPING QUOTES************************************************
		If ( ( (sCartTotalWeight - sCartFreeShippingWeight) <= 0 ) And ( sCartQuantity > 0 ) And ( sCartFreeShippingWeight > 0 ) ) Then
			' give the user free shipping if the weight =0 but only if the free shipping weight is more than 0
			'	otherwise, if the company isn't using weight to calc shipping, it'll give free shipping to products w/ 0 weight
			'	even tho the shipping is based solely on price. By checking to make sure free ship weight is more than
			'	0, it ensures that the company is using weights
			sFreeShippingText = LANG_DT( "SHIPQUERYEXEC_FREESHIP", "Congradulations! You are eligable for FREE shipping with this order." )
		Else
			If ( bOWUPSActive ) Then
				iOWUPSOriginatingAccountUnq = CONVERSION_Numeric(owCONFIG_ReturnConfigValue("iOWUPSOriginatingAccountUnq"), C_INTEGER)
				If ( iOWUPSOriginatingAccountUnq = 0 ) Then		' the admin hasn't set this yet, so default to the admin's account
					iOWUPSOriginatingAccountUnq = 1
					Call owCONFIG_WriteConfigValue( "iOWUPSOriginatingAccountUnq", "1" )
				End If
				sSQLText = "SELECT BillingCity, BillingStateCode, BillingZip, BillingCountryCode FROM CustAltBill WHERE AccountUnq = " & iOWUPSOriginatingAccountUnq
				Call DB_getFromDatabase(sSQLText, rsStoreData, "")
				If ( NOT rsStoreData.EOF ) Then
					sUPSOriginatingState	= Trim(rsStoreData("BillingStateCode"))
					sUPSOriginatingCountry	= Trim(rsStoreData("BillingCountryCode"))
					sUPSOriginatingZip		= Trim(rsStoreData("BillingZip"))
					sUPSOriginatingCity		= Trim(rsStoreData("BillingCity"))
				End If
				Call DB_closeRecordset(rsStoreData)
				sUPSShippingText = ReturnUPS(sUPSOriginatingState, sUPSOriginatingCountry, sUPSOriginatingZip, sUPSOriginatingCity, sShippingStateCode, sShippingCountryCode, sShippingZip, (sCartTotalWeight - sCartFreeShippingWeight), dMaxLength, dMaxHeight, dWidthSummation, bUPSDataReturned, sUPSError)
			End If
			
			If ( bOWUSPSActive ) Then
				iOWUSPSOriginatingAccountUnq = CONVERSION_Numeric(owCONFIG_ReturnConfigValue("iOWUSPSOriginatingAccountUnq"), C_INTEGER)
				If ( iOWUSPSOriginatingAccountUnq = 0 ) Then		' the admin hasn't set this yet, so default to the admin's account
					iOWUSPSOriginatingAccountUnq = 1
					Call owCONFIG_WriteConfigValue( "iOWUSPSOriginatingAccountUnq", "1" )
				End If
				
				sSQLText = "SELECT BillingCity, BillingStateCode, BillingZip, BillingCountryCode FROM CustAltBill (NOLOCK) WHERE AccountUnq = " & iOWUSPSOriginatingAccountUnq
				Call DB_getFromDatabase(sSQLText, rsStoreData, "")
				If ( NOT rsStoreData.EOF ) Then
					sUSPSOriginatingState	= Trim(rsStoreData("BillingStateCode"))
					sUSPSOriginatingCountry	= Trim(rsStoreData("BillingCountryCode"))
					sUSPSOriginatingZip		= Trim(rsStoreData("BillingZip"))
					sUSPSOriginatingCity	= Trim(rsStoreData("BillingCity"))
				End If
				Call DB_closeRecordset(rsStoreData)

				' only run USPS if the origination country is US
				If ( UCase(Trim(sUSPSOriginatingCountry)) = "US" ) Then
					If ( UCase(Trim(sShippingCountryCode)) = "US" ) Then
						sUSPSShippingText = ReturnUSPS(sUSPSOriginatingState, sUSPSOriginatingCountry, sUSPSOriginatingZip, sUSPSOriginatingCity, sShippingStateCode, sShippingCountryCode, sShippingZip, (sCartTotalWeight - sCartFreeShippingWeight), dMaxLength, dMaxHeight, dWidthSummation, bUSPSDataReturned, sUSPSError)
					Else
						If ( CONVERSION_Numeric(owCONFIG_ReturnConfigValue("sOWUSPSUseInternational"), C_INTEGER) = -1 ) Then
							sUSPSShippingText = ReturnUSPSi(sUSPSOriginatingState, sUSPSOriginatingCountry, sUSPSOriginatingZip, sUSPSOriginatingCity, sShippingStateCode, sShippingCountryCode, sShippingZip, (sCartTotalWeight - sCartFreeShippingWeight), dMaxLength, dMaxHeight, dWidthSummation, bUSPSDataReturned, sUSPSError)
						End If
					End If
				End If
			End If
	
			If ( bOWCanadaPostActive ) Then
				iOWCPOriginatingAccountUnq = CONVERSION_Numeric(owCONFIG_ReturnConfigValue("iOWCPOriginatingAccountUnq"), C_INTEGER)
				If ( iOWCPOriginatingAccountUnq = 0 ) Then		' the admin hasn't set this yet, so default to the admin's account
					iOWCPOriginatingAccountUnq = 1
					Call owCONFIG_WriteConfigValue( "iOWCPOriginatingAccountUnq", "1" )
				End If
				sSQLText = "SELECT BillingCity, BillingStateCode, BillingZip, BillingCountryCode FROM CustAltBill WHERE AccountUnq = " & iOWCPOriginatingAccountUnq
				Call DB_getFromDatabase(sSQLText, rsStoreData, "")
				If ( NOT rsStoreData.EOF ) Then
					sCPOriginatingState		= Trim(rsStoreData("BillingStateCode"))
					sCPOriginatingCountry	= Trim(rsStoreData("BillingCountryCode"))
					sCPOriginatingZip		= Trim(rsStoreData("BillingZip"))
					sCPOriginatingCity		= Trim(rsStoreData("BillingCity"))
				End If
				Call DB_closeRecordset(rsStoreData)

				sCPShippingText = ReturnCanadianPost(sCPOriginatingState, sCPOriginatingCountry, sCPOriginatingZip, sCPOriginatingCity, sShippingStateCode, sShippingCountryCode, sShippingZip, (sCartTotalWeight - sCartFreeShippingWeight), dMaxLength, dMaxHeight, dWidthSummation, bCPDataReturned, sCPError)
			End If
			
			If ( NOT bOWUPSActive ) And ( NOT bOWUSPSActive ) AND ( NOT bOWCanadaPostActive ) Then
				sNRTError = RetrieveNonRealTimeShipping(sShippingZip, sShippingCountryCode, sShippingStateCode)
				bNonRealTime = True
			End If
		End If
		' ****************************************END RETURN SHIPPING QUOTES************************************************

		Call DB_updateDatabase("DELETE FROM CartShipSecurity WHERE idCart = " & sIDCart)

		If ( sError = "" ) Then
			%>
			<table width=<%=sOWStoreTableWidth%> border=0 style='border: 1px solid #000000;' cellspacing=0 cellpadding=5>
				<%If ( bCheckout = "T" ) Then%>
				<form METHOD='POST' name='shippingform' action='owSelectPayment.asp'>
				<%End If%>
				<tr bgcolor="#eeeeee"><td colspan=3 style='border-bottom: 1px solid #000000;'><b><%=LANG_DT( "SHIPQUERYEXEC_METHODS", "Available Shipping Methods" )%></b></td></tr>
				<tr>
					<td colspan=3>
						<table width=100%>
							<tr>
								<td width=50%>
<%If 0 = 1 then%>
									<table width=100%>
										<tr>
											<td colspan=3 style='border-bottom: 1px solid #000000;' bgcolor=EEEEEE>
												<b><%=LANG_DT( "SHIPQUERYEXEC_FROM", "Shipping From" )%>:
											</td>
										</tr>
										<tr>
											<td style='border-bottom: 1px solid #EEEEEE;'>
												<%=LANG_DT( "SHIPQUERYEXEC_COUNTRY", "Country" )%>
											</td>
											<td style='border-bottom: 1px solid #EEEEEE;'>&nbsp;&nbsp;&nbsp;</td>
											<td style='border-bottom: 1px solid #EEEEEE;'>
												<%
												sSQLText = "SELECT CountryName FROM CountryCodes WHERE CountryCode = '" & SQLEncode(sOriginatingCountry) & "'"
												Call DB_getFromDatabase(sSQLText, rsStoreData, "")
												If ( NOT rsStoreData.EOF ) Then
													Response.Write rsStoreData("CountryName")
												Else
													Response.Write sShippingCountryCode
												End If
												Call DB_closeRecordset(rsStoreData)
												%>
											</td>
										</tr>
										<%If ( sOriginatingState <> "" ) Then%>
										<tr>
											<td style='border-bottom: 1px solid #EEEEEE;'>
												<%=sSourceTerritory%>
											</td>
											<td style='border-bottom: 1px solid #EEEEEE;'>&nbsp;&nbsp;&nbsp;</td>
											<td style='border-bottom: 1px solid #EEEEEE;'>
												<%=sSourceFullStateName%>
											</td>
										</tr>
										<%End If%>
										<%If ( sOriginatingCity <> "" ) Then%>
										<tr>
											<td style='border-bottom: 1px solid #EEEEEE;'>
												<%=LANG_DT( "SHIPQUERYEXEC_CITY", "City" )%>
											</td>
											<td style='border-bottom: 1px solid #EEEEEE;'>&nbsp;&nbsp;&nbsp;</td>
											<td style='border-bottom: 1px solid #EEEEEE;'>
												<%=sOriginatingCity%>
											</td>
										</tr>
										<%End If%>
										<tr>
											<td style='border-bottom: 1px solid #EEEEEE;'>
												<%=STRUCTURE_PostalCodeLabel(sOriginatingCountry)%>
											</td>
											<td style='border-bottom: 1px solid #EEEEEE;'>&nbsp;&nbsp;&nbsp;</td>
											<td style='border-bottom: 1px solid #EEEEEE;'>
												<%=sOriginatingZip%>
											</td>
										</tr>
									</table>
<%End If%>
								</td>
								
								<td style='border-right: 1px solid #000000;'>&nbsp;</td>
								
								<td width=50%>					
									<table width=100%>
										<tr>
											<td colspan=3 style='border-bottom: 1px solid #000000;' bgcolor=EEEEEE>
												<b><%=LANG_DT( "SHIPQUERYEXEC_DEST", "Destination" )%>:
											</td>
										</tr>
										<%If ( sDestCity <> "" ) Then%>
										<tr>
											<td style='border-bottom: 1px solid #EEEEEE;'>
												<%=LANG_DT( "SHIPQUERYEXEC_CITY", "City" )%>
											</td>
											<td style='border-bottom: 1px solid #EEEEEE;'>&nbsp;&nbsp;&nbsp;</td>
											<td style='border-bottom: 1px solid #EEEEEE;'>
												<%=sDestCity%>
											</td>
										</tr>
										<%End If%>
										<%If ( sDestFullStateName <> "" ) Then%>
										<tr>
											<td style='border-bottom: 1px solid #EEEEEE;'>
												<%=sDestTerritory%>
											</td>
											<td style='border-bottom: 1px solid #EEEEEE;'>&nbsp;&nbsp;&nbsp;</td>
											<td style='border-bottom: 1px solid #EEEEEE;'>
												<%=sDestFullStateName%>
											</td>
										</tr>
										<%End If%>
										<tr>
											<td style='border-bottom: 1px solid #EEEEEE;'>
												<%=STRUCTURE_PostalCodeLabel(sShippingCountryCode)%>
											</td>
											<td style='border-bottom: 1px solid #EEEEEE;'>&nbsp;&nbsp;&nbsp;</td>
											<td style='border-bottom: 1px solid #EEEEEE;'>
												<%=sShippingZip%>
											</td>
										</tr>
										<tr>
											<td style='border-bottom: 1px solid #EEEEEE;'>
												<%=LANG_DT( "SHIPQUERYEXEC_COUNTRY", "Country" )%>
											</td>
											<td style='border-bottom: 1px solid #EEEEEE;'>&nbsp;&nbsp;&nbsp;</td>
											<td style='border-bottom: 1px solid #EEEEEE;'>
												<%
												sSQLText = "SELECT CountryName FROM CountryCodes WHERE CountryCode = '" & SQLEncode(sShippingCountryCode) & "'"
												Call DB_getFromDatabase(sSQLText, rsStoreData, "")
												If ( NOT rsStoreData.EOF ) Then
													Response.Write rsStoreData("CountryName")
												Else
													Response.Write sShippingCountryCode
												End If
												Call DB_closeRecordset(rsStoreData)
												%>
											</td>
										</tr>
									</table>
								</td>
							</tr>
						</table>
					</td>
				</tr>
				<%If ( sFreeShippingText <> "" ) Then%>
				<tr>
					<td colspan=3>
						<center><b><%=sFreeShippingText%></b><br><br><br>
						<input type='hidden' name='sShipMethod' value='free'>
						<%Call DB_updateDatabase("INSERT INTO CartShipSecurity (idCart, ShipMethod, ShipCost) VALUES (" & sIDCart & ", 'free', 0)")%>
					</td>
				</tr>
				<%End If%>
				<%
				If ( sNRTError <> "" ) Then
					Response.Write "<tr><td colspan=2><br><br>"
					Call owMessage(sNRTError, C_ERROR)
					Response.Write "</td></tr>"
				Else
					If ( shipmentIndex >  0 ) Then
						%>
						<TR>
							<TD>
								<b><%=LANG_DT( "SHIPQUERYEXEC_DESC", "Shipment Description" )%></b><br>
							</TD>
							<TD>
								<b><%=LANG_DT( "SHIPQUERYEXEC_COST", "Shipment Cost" )%></b>&nbsp;<%=sTempCurrencyCode%><br>
							</TD>	
							<td></td>
						</TR>
						<%
						for iX=0 to shipmentIndex-1%>
						<TR>
							<TD><%=shipmentsArray(iX,1)%></TD>
							<TD>
								<% 
								howMuch = "0"
								if shipmentsArray(iX,2)>0 or shipmentsArray(iX,3)>0 then 
									howMuch = shipmentsArray(iX,2) + (shipmentsArray(iX,3)*sSubTotal/100)                              
									response.write " " & CONVERSION_Currency(howMuch)
								else
									response.write " " & CONVERSION_Currency(0)
								End If
								%>
							</TD>
							<%If ( bCheckout = "T" ) Then%>
							<%If ( iX = 0 ) Then%>
							<td><input type='radio' name='sShipMethod' value='<%=howMuch%>|<%=shipmentsArray(iX,0)%>' checked></td>
							<%Else%>
							<td><input type='radio' name='sShipMethod' value='<%=howMuch%>|<%=shipmentsArray(iX,0)%>' ></td>
							<%End If%>
							<%Else%>
							<td></td>
							<%End If%>
						</TR>
						<%
						Call DB_updateDatabase("INSERT INTO CartShipSecurity (idCart, ShipMethod, ShipCost) VALUES (" & sIDCart & ", '" & SQLEncode(shipmentsArray(iX,0)) & "', " & howMuch & ")")
						next
					End If
				End If
				
				If ( ( ( bOWUSPSActive ) And ( sUSPSShippingText <> "" ) ) Or ( sUSPSError <> "" ) ) Then
					If ( sUSPSError <> "" ) Then
						Response.Write "<tr><td colspan=2><br><br>"
						Call owMessage(sUSPSError, C_ERROR)
						Response.Write "</td></tr>"
					Else
						%>
						<tr>
							<td colspan=2>
								<hr>
								<%
								If ( sCartFreeShippingWeight > 0 ) Then
									Response.Write "<hr size=1 color=000000><b><center>"
									Response.Write LANG_DT( "SHIPQUERYEXEC_DISCOUNT", "Your shipping estimate reflects a discount on shipping of one or more items within your shopping cart!" )
									Response.Write "</center></b><hr size=1 color=000000>"
								End If
								Response.Write "<B>" & LANG_DT( "SHIPQUERYEXEC_USPSSHIPHEAD", "USPS Shipping" ) & "</b><Br>"
								Response.Write SHIPPING_DispEstimate(sUSPSShippingText, False, bCheckout, sSubTotal)
								%>
							</td>
						</tr>
						<%
					End If
				End If

				If ( ( ( bOWUPSActive ) And ( sUPSShippingText <> "" ) ) Or ( sUPSError <> "" ) ) Then
					If ( sUPSError <> "" ) Then
						Response.Write "<tr><td colspan=2><br><br>"
						Call owMessage(sUPSError, C_ERROR)
						Response.Write "</td></tr>"
					Else
						%>
						<tr>
							<td colspan=2>
								<hr>
								<%
								If ( sCartFreeShippingWeight > 0 ) Then
									Response.Write "<hr size=1 color=000000><b><center>"
									Response.Write LANG_DT( "SHIPQUERYEXEC_DISCOUNT", "Your shipping estimate reflects a discount on shipping of one or more items within your shopping cart!" )
									Response.Write "</center></b><hr size=1 color=000000>"
								End If
								Response.Write "<B>" & LANG_DT( "SHIPQUERYEXEC_UPSSHIPHEAD", "UPS Shipping" ) & "</b><Br>"
								Response.Write SHIPPING_DispEstimate(sUPSShippingText, False, bCheckout, sSubTotal)
								%>
							</td>
						</tr>
						<%
					End If
				End If
				
				If ( ( ( bOWCanadaPostActive ) And ( sCPShippingText <> "" ) ) Or ( sCPError <> "" ) ) Then
					If ( sCPError <> "" ) Then
						Response.Write "<tr><td colspan=2><br><br>"
						Call owMessage(sCPError, C_ERROR)
						Response.Write "</td></tr>"
					Else
						%>
						<tr>
							<td colspan=2>
								<hr>
								<%
								If ( sCartFreeShippingWeight > 0 ) Then
									Response.Write "<hr size=1 color=000000><b><center>"
									Response.Write LANG_DT( "SHIPQUERYEXEC_DISCOUNT", "Your shipping estimate reflects a discount on shipping of one or more items within your shopping cart!" )
									Response.Write "</center></b><hr size=1 color=000000>"
								End If
								Response.Write "<B>" & LANG_DT( "SHIPQUERYEXEC_CANADAPHEAD", "Canada Post" ) & "</b><Br>"
								Response.Write SHIPPING_DispEstimate(sCPShippingText, False, bCheckout, sSubTotal)
								%>
							</td>
						</tr>
						<%
					End If
				End If
				%>
				<TR>
					<TD colspan=3 style='border-top: 1px solid #000000;'>
						<table width=100%>
							<tr>
								<%If ( bCheckout = "T" ) Then%>
								<%If ( ( sFreeShippingText <> "" ) Or ( Trim(sNRTError) = "" ) And ( ( Trim(sCPShippingText) <> "" ) Or ( Trim(sUSPSShippingText) <> "" ) Or ( Trim(sUPSShippingText) <> "" ) Or ( bNonRealTime ) ) ) Then%>
								<td align=right><input type="submit" value=" <%=LANG_DT( "SELECTSHIPPING_SELECT", "Select Shipping Method and Continue" )%> &gt; "></td>
								<%End If%>
								<%Else%>
								<td>
									<input type='button' value=' <%=LANG_DT( "SHIPQUERYEXEC_RETURN", "Return to Cart" )%> ' onClick='document.location="owShowCart.asp";'>
								</TD>
								<TD align=right>
									<%if bHasAccount then%>
									<input type='button' value=' <%=LANG_DT( "SHIPQUERYEXEC_AGAIN", "Try Again" )%> ' onClick='document.location="owShippingCostQuery.asp";'>
									<%End If%>
								</TD>
								<%End If%>
							</tr>
						</table>
					</td>
				</TR>
			</table>
			<%If ( ( bOWUPSActive ) And ( sUPSShippingText <> "" ) ) Then	' put the UPS information after all the shipping quotes
			%>
			<br><br>
			<table border="0" cellspacing="0" cellpadding="2" width=100%>
				<tr> 
					<td width="50" valign="top"><img src="../owTemplates/Images/UPSLogo.gif"></td>
					<td valign="top">
						<%=LANG_DT( "SHIPQUERYEXEC_UPSINFO", "<b>UPS OnLine<sup></sup> Tools Rates & Service Selection</b><br>Notice: UPS fees do not necessarily represent UPS published rates and may include charges levied by the store owner.</font><br><br>UPS<sup></sup>, UPS & Shield Design<sup></sup> and UNITED PARCEL SERVICE<sup></sup> are registered trademarks of United Parcel Service of America, Inc. </font>" )%>
					</td>
				</tr>
			</table>
			<%End If
		Else
			Call owMessage(sError, C_ERROR)
		End If
		
	End Sub
	'************************************************************************************
	
	
	'************************************************************************************
	'*																					*
	'*																					*
	'*																					*
	'************************************************************************************
	Function RetrieveNonRealTimeShipping(sShippingZip, sShippingCountryCode, sShippingStateCode)
	
		sFilterZip			= left(sShippingZip,10)
		sFilterCountryCode	= left(sShippingCountryCode,4)
		sFilterStateCode	= left(sShippingStateCode,4)
		
		' if customer use anotherState, insert a dummy state code to simplify SQL sentence
		if sFilterStateCode = "" then
			sFilterStateCode = "**"
		End If
		
		If ( ACCNT_InGroup(iLoginAccountUnq, C_GROUP_RETAIL) ) Then
			sIDCustomerType = C_GROUP_RETAIL
		Else
			sIDCustomerType = C_GROUP_WHOLESALE
		End If
		
		sSQLText = "SELECT quantityFrom, quantityUntil, weightFrom, weightUntil, priceFrom, priceUntil, idShipment, shipmentDesc, priceToAdd, percentageToAdd FROM shipments WHERE ((stateCode='" &sFilterStateCode& "' AND stateCodeEq=-1) OR (stateCode IS NULL) OR (stateCode<>'" &sFilterStateCode& "' AND stateCodeEq=0)) AND ((countryCode='"&sFilterCountryCode&"' AND countryCodeEq=-1) OR (countryCode IS NULL) OR (countryCode<>'" &sFilterCountryCode& "' AND countryCodeEq=0)) AND ((zip='" &sFilterZip& "' AND zipEq=-1) OR (zip IS NULL) OR (zip<>'" &sFilterZip& "' AND zipEq=0)) AND (IDCustomerType=" &sIDCustomerType& " OR IDCustomerType IS NULL OR IDCustomerType=0);"
		Call DB_getFromDatabase(sSQLText, rsStoreData, "")    
		While ( NOT rsStoreData.EOF )
			' insert if all rules are ok
			if sCartQuantity>=rsStoreData("quantityFrom") and sCartQuantity<=rsStoreData("quantityUntil") and sCartTotalWeight>=rsStoreData("weightFrom") and sCartTotalWeight<=rsStoreData("weightUntil") and sSubTotal>=Cdbl(rsStoreData("priceFrom")) and sSubTotal<=Cdbl(rsStoreData("priceUntil")) then
				shipmentsArray(shipmentIndex,0)	= rsStoreData("idShipment")
				shipmentsArray(shipmentIndex,1)	= rsStoreData("shipmentDesc")
				shipmentsArray(shipmentIndex,2)	= Cdbl(rsStoreData("priceToAdd"))
				shipmentsArray(shipmentIndex,3)	= rsStoreData("percentageToAdd")
				shipmentIndex					= shipmentIndex+1
			End If
			rsStoreData.movenext
		Wend
		Call DB_closeRecordset(rsStoreData)
		
		If ( shipmentIndex = 0 ) Then
			RetrieveNonRealTimeShipping = LANG_DT( "SHIPQUERYEXEC_NOSHIPMENTS", "There are no shipments for your selection of State/Country/Zip and cart content." )
		End If
		
	End Function
	'************************************************************************************
	%>