<%
	'********************************************************************************
	'*																				*
	'*																				*
	'********************************************************************************
	Sub DetectEmail()
	
		Dim objASPEmail

		On Error Resume Next
		
		If ( sOWEmailComponent = "" ) Then
			' figure out if they've got a component and default to one of them
			Set objASPEmail = Server.CreateObject("Persits.MailSender")
			If ( Err.Number <> 0 ) Then
				Err.Clear
				Set objASPEmail = Server.CreateOBject("JMail.Message")
				If ( Err.Number <> 0 ) Then
					Err.Clear
					Set objASPEmail = Server.CreateObject("SMTPsvg.Mailer")
					If ( Err.Number <> 0 ) Then
						Err.Clear
						Set objASPEmail = Server.CreateObject("Bamboo.SMTP")
						If ( Err.Number <> 0 ) Then
							Err.Clear
							Set objASPEmail = Server.CreateObject("ASPMAIL.ASPMailCtrl.1")
							If ( Err.Number <> 0 ) Then
								Err.Clear
								Set objASPEmail = Server.CreateObject("Dundas.Mailer")
								If ( Err.Number <> 0 ) Then
									Err.Clear
									Set objASPEmail = Server.CreateObject("aspSmartMail.SmartMail")
									If ( Err.Number <> 0 ) Then
										Err.Clear
										Set objASPEmail = Server.CreateObject("CDONTS.NewMail")
										If ( Err.Number <> 0 ) Then
											Err.Clear
											Set objASPEmail = Server.CreateObject("CDO.Message")
											If ( Err.Number <> 0 ) Then
												Call owCONFIG_WriteConfigValue( "sOWEmailComponent", "" )	' they have no compatable component
											Else
												Call owCONFIG_WriteConfigValue( "sOWEmailComponent", "CDO" )
											End If
											Set objASPEmail = Nothing
										Else
											Call owCONFIG_WriteConfigValue( "sOWEmailComponent", "CDONTS" )
										End If
										Set objASPEmail = Nothing
									Else
										Call owCONFIG_WriteConfigValue( "sOWEmailComponent", "ASPSMARTMAIL" )
									End If
									Set objASPEmail = Nothing
								Else
									Call owCONFIG_WriteConfigValue( "sOWEmailComponent", "DUNDASMAIL" )
								End If
								Set objASPEmail = Nothing
							Else
								Call owCONFIG_WriteConfigValue( "sOWEmailComponent", "OCXMAIL" )
							End If
							Set objASPEmail = Nothing
						Else
							Call owCONFIG_WriteConfigValue( "sOWEmailComponent", "BAMBOOSMTP" )
						End If
						Set objASPEmail = Nothing
					Else
						Call owCONFIG_WriteConfigValue( "sOWEmailComponent", "SERVEROBJECTSASPMAIL1" )
					End If
					Set objASPEmail = Nothing
				Else
					Call owCONFIG_WriteConfigValue( "sOWEmailComponent", "JMAIL" )
				End If
				Set objASPEmail = Nothing
			Else
				Call owCONFIG_WriteConfigValue( "sOWEmailComponent", "PERSITSASPMAIL" )
			End If
			Set objASPEmail = Nothing

		Else
			' they set it to something, make sure it's the correct one
			Select Case sOWEmailComponent
				Case "SERVEROBJECTSASPMAIL1"
					Set objASPEmail = Server.CreateObject("SMTPsvg.Mailer")
				Case "CDONTS"
					Set objASPEmail = Server.CreateObject("CDONTS.NewMail")
				Case "CDO"
					Set objASPEmail = Server.CreateObject("CDO.Message")
				Case "BAMBOOSMTP"
					Set objASPEmail = Server.CreateObject("Bamboo.SMTP")
				Case "OCXMAIL"
					Set objASPEmail = Server.CreateObject("ASPMAIL.ASPMailCtrl.1")
				Case "DUNDASMAIL"
					Set objASPEmail = Server.CreateObject("Dundas.Mailer")
				Case "ASPSMARTMAIL"
					Set objASPEmail = Server.CreateObject("aspSmartMail.SmartMail")
				Case "PERSITSASPMAIL"
					Set objASPEmail = Server.CreateObject("Persits.MailSender")
				Case "JMAIL"
					Set objASPEmail = Server.CreateOBject("JMail.Message")
				Case Else	' they have a goofy value for their email component so reset it
					Err.Number = -1
			End Select
			
			If ( Err.Number <> 0 ) Then
				Call owCONFIG_WriteConfigValue( "sOWEmailComponent", "" )	' they have no compatable component
				Set objASPEmail = Nothing
				Call DetectEmail()	' re-run this w/ it blank so this function will go through the check above
			Else
				Set objASPEmail = Nothing
			End If
			
		End If
		On Error Goto 0
	
	End Sub
	'********************************************************************************
	
	

	'********************************************************************************
	'*																				*
	'*																				*
	'********************************************************************************
	Function sendMail(sFromName, sFromEmail, sRecipientEmail, sSubject, sEmailBody)
	
		If ( bCUSTOM_sendMail ) Then
			Call CustomSendMail(sFromName, sFromEmail, sRecipientEmail, sSubject, sEmailBody)
		Else
			Dim objEmail
			sendMail = True
		
			If ( sOWSmtpServer <> "" ) Then
				on error resume next
				if sOWEmailComponent="PERSITSASPMAIL" then
					set objEmail 		= server.CreateObject("Persits.MailSender")
					objEmail.IsHTML    	= false ' set to true if you want to send HTML emails
					objEmail.Host 		= sOWSmtpServer 
					objEmail.From 		= sFromEmail
					objEmail.FromName 	= sFromName
					objEmail.AddAddress sRecipientEmail
					objEmail.AddReplyTo sFromEmail
					objEmail.Subject 	= sSubject
					objEmail.Body 		= Replace(sEmailBody, "&nbsp;", " ")
					on error resume next
					objEmail.Send
					set objEmail 		= Nothing
				end if
				
				if sOWEmailComponent="JMAIL" then
					set objEmail 		= server.CreateOBject( "JMail.Message" ) 
					objEmail.Logging 	= true
					objEmail.silent 	= true
					objEmail.From 		= sFromEmail
					objEmail.FromName 	= sFromName
					objEmail.Subject	= sSubject
					objEmail.AddRecipient Replace(sEmailBody, "&nbsp;", " ")
					objEmail.Body 		= sEmailBody
					objEmail.HTMLBody 	= "<HTML><BODY><font color=""red"">" & sOWCompany & "</font><br>"
					objEmail.appendHTML "<img src=""" & sOWStoreUrlSSL & "/owTemplates/images/" & sOWCompanyLogo & """>"
					objEmail.appendHTML "<br><br>" & sEmailBody & "</BODY></HTML>"
					on error resume next
					objEmail.send(sOWSmtpServer)  
					set objEmail 		= Nothing
				end if
				
				if sOWEmailComponent="SERVEROBJECTSASPMAIL1" then
					set objEmail 			= Server.CreateObject("SMTPsvg.Mailer")
					objEmail.RemoteHost 	= sOWSmtpServer
					objEmail.FromName    	= sFromName
					objEmail.FromAddress 	= sFromEmail
					objEmail.AddRecipient sRecipientEmail, sRecipientEmail
					objEmail.Subject     	= sSubject
					objEmail.BodyText    	= Replace(sEmailBody, "&nbsp;", " ")
					on error resume next
					objEmail.SendMail
					set objEmail 			= Nothing
				end if
				
				if sOWEmailComponent="CDO" then
					sOWCDOSYSUser		= owCONFIG_ReturnConfigValue("sOWCDOSYSUser")
					sOWCDOSYSPassword	= owCONFIG_ReturnConfigValue("sOWCDOSYSPassword")
					sURL = "http://schemas.microsoft.com/cdo/configuration/" 
					Set objCDOConfig = Server.CreateObject("CDO.Configuration") 
					objCDOConfig.Fields.Item(sURL & "sendusing") = 2 
					objCDOConfig.Fields.Item(sURL & "smtpserver") = "localhost" 
					If ( ( sOWCDOSYSPassword <> "" ) And ( sOWCDOSYSUser <> "" ) ) Then
						objCDOConfig.Fields.Item(sURL & "smtpauthenticate") = 1
						objCDOConfig.Fields.Item(sURL & "sendusername") = sOWCDOSYSUser
						objCDOConfig.Fields.Item(sURL & "sendpassword") = sOWCDOSYSPassword
					End If
					objCDOConfig.fields.update 
					
					Set objCDOMessage = Server.CreateObject("CDO.Message") 
					Set objCDOMessage.Configuration = objCDOConfig 
					objCDOMessage.From = sFromEmail
					objCDOMessage.To = sRecipientEmail
					objCDOMessage.Subject = sSubject
					objCDOMessage.HtmlBody = Replace(sEmailBody, "&nbsp;", " ")
					'''objCDOMessage.TextBody = "your text message if you want to send text mail"
					objCDOMessage.Send 
					Set objCDOMessage = Nothing 
					Set objCDOConfig = Nothing 
				End If
				
				if sOWEmailComponent="CDONTS" then
					HTML = ""
					HTML = HTML & "<HTML>"
					HTML = HTML & "<HEAD>"
					HTML = HTML & "<TITLE>" & sOWCompany & "</TITLE>"
					HTML = HTML & "</HEAD>"
					HTML = HTML & "<BODY  bgcolor=""lightyellow"">"
					HTML = HTML & "<TABLE cellpadding=""4"">"
					HTML = HTML & "<TR><TH><FONT color=""darkblue""  SIZE=""4"">"  
					HTML = HTML & subject & "</FONT></TH></TR>" 
					HTML = HTML & "<TR><TD>"
					HTML = HTML & sEmailBody
					HTML = HTML & "</FONT></TD></TR></TABLE><BR><BR>"
					HTML = HTML & "</BODY>"
					HTML = HTML & "</HTML>"
					
					set objEmail 		= Server.CreateObject("CDONTS.NewMail")     
					objEmail.From   	= sFromEmail
					objEmail.Subject	= sSubject
					objEmail.To     	= sRecipientEmail
					objEmail.BodyFormat = 0 
					objEmail.MailFormat = 0 
					objEmail.Body 	    = HTML
					objEmail.Send
					set objEmail		= nothing
				end if
				
				if sOWEmailComponent="BAMBOOSMTP" then
					set objEmail 		= Server.CreateObject("Bamboo.SMTP") 
					objEmail.Server 	= sOWSmtpServer
					objEmail.Rcpt 		= sRecipientEmail 
					objEmail.From 		= sFromEmail
					objEmail.FromName 	= sFromName 
					objEmail.Subject 	= sSubject
					objEmail.Message 	= Replace(sEmailBody, "&nbsp;", " ") 
					on error resume next 
					objEmail.Send 
					set objEmail 		= nothing 
				end if
				
				if sOWEmailComponent="OCXMAIL" then
					set objEmail = Server.CreateObject("ASPMAIL.ASPMailCtrl.1") 
					on error resume next 
					objEmail.SendMail sOWSmtpServer, sRecipientEmail, sFromEmail, sSubject, Replace(sEmailBody, "&nbsp;", " ") 
				end if       
				
				if sOWEmailComponent="DUNDASMAIL" then
					set objEmail 			= Server.CreateObject("Dundas.Mailer")     
					objEmail.TOs.Add sRecipientEmail
					objEmail.FromAddress	= sFromEmail
					objEmail.Subject 		= sSubject 
					objEmail.SMTPRelayServers.Add sOWSmtpServer
					objEmail.Body 			= Replace(sEmailBody, "&nbsp;", " ")
					objEmail.SendMail
					Set objEmail 			= Nothing 
				end if
				
				if sOWEmailComponent="ASPSMARTMAIL" then
					set objEmail 			= Server.CreateObject("aspSmartMail.SmartMail")
					objEmail.Server 		= sOWSmtpServer
					objEmail.SenderName 	= sFromName
					objEmail.SenderAddress 	= sFromEmail
					objEmail.Recipients.Add sRecipientEmail,""
					objEmail.Subject 		= sSubject
					objEmail.Body 			= Replace(sEmailBody, "&nbsp;", " ")
					objEmail.SendMail
					set objEmail			=Nothing
				end if
				
				if err <> 0 then  
					%>
					<html> 
						<br><br>
						<%=LANG_DT( "IEMAIL_ERROR", "Error while sending email" )%>:  <%=Err.Description%>. 
						<%=LANG_DT( "IEMAIL_CHECKCOMPONENT", "Please check that an email component has been correctly installed and configured. To hide this message, please disable Email Debugging within the Configurations menu." )%>
						<hr>
						<br><%=LANG_DT( "IEMAIL_FROM", "From" )%>    : <%=sFromEmail%>    
						<br><%=LANG_DT( "IEMAIL_TO", "To" )%>      : <%=sRecipientEmail%>
						<br><%=LANG_DT( "IEMAIL_SUBJECT", "Subject" )%> : <%=sSubject%>
						<br><%=LANG_DT( "IEMAIL_BODY", "Body" )%>    : <%=Replace(sEmailBody, "&nbsp;", " ")%>        
					</html>
					<%
					sendMail = False
				end if
			End If
		End If
	
	End Function
	'********************************************************************************
%>