<!--#include file="../../owFunctions/I_GeneralFunctions.asp"-->
<!--#INCLUDE file="../../owFunctions/clsUpload.asp"-->
<!--#INCLUDE file="../Functions/I_UploadLogo.asp"-->
<!--#include file="Includes/i_Messages.asp"-->
<!--#include file="../header.asp"-->
<%
	'************************************************************************************
	'*																					*
	'*	MODIFICATION TO THIS SCRIPT OR ANY FILES INCLUDED WITH 							*
	'*		ONEWORLDSTOREFRONT IS DONE AT YOUR OWN RISK!								*
	'*	Product  : OneWorldStoreFront													*

	'*	Copyright:	Copyright (C) 2004 OneWorldStoreFront.Com							*
	'*				Registration Number: 1024507										*
	'*				http://strategis.ic.gc.ca/											*
	'*																					*
	'************************************************************************************

	'================================================
	'=     Upload Modification (June 5th, 2005)     =
	'================================================

	'Check to see if the form was posted back.
	If ( Request.ServerVariables("REQUEST_METHOD") = "POST" ) Then
		'Create the upload object.
		Set objUpload2 = new clsUpload
		
		'Deceide if the submission was the final submission
		If ( objUpload2.Fields("sAction").Value = "SaveSettings" ) Then
			'Make sure the image that was selected is large enough and that the user isn't trying to delete it.
			If ( objUpload2.Fields("sOWCompanyLogo2").Length > 0 ) AND ( objUpload2.Fields("sDelCurImage").Value <> "Y" ) Then
				'Check to make sure that the file is not too big
				aFileSize	= objUpload2.Fields("sOWCompanyLogo2").Length
				If ( aFileSize > 430000 ) Then   '430KB
					sError = "Please upload a smaller (in k) image."
				Else
					'Correct any issues with the file path.
					sFilePath	= "/owTemplates/images/logos"
					sFilePath	= Replace(sFilePath, "\", "/")
					sFilePath	= Replace(sFilePath, "//", "/")
					sFilePath	= server.mappath(sFilePath)
					' Make sure the directories exist...make it if it doesnt
					Set fso = CreateObject("Scripting.FileSystemObject")
					If (NOT fso.FolderExists(sFilePath)) Then
						fso.CreateFolder(sFilePath)
					End If
					Set fso = Nothing
					
					'Extract filename from path
					Dim L 'Loop variable
					Dim strFullPath 'Local filepath
					Dim strChar 'Current charactre
					Dim intCount  'Character in count
					
					strFullPath = objUpload2("sOWCompanyLogo2").FilePath
					
					'Traverse characters and find a "/" then clip the rest of the path off.
					For L = 1 to Len(strFullPath) - 1
						strChar = Mid(strFullPath, Len(strFullPath) - L, 1)
						intCount = intCount + 1
						If strChar = "\" or strChar = "/" Then
							strFullPath = Right(strFullPath, intCount)
							Exit For
						End If
					Next
					
					' Save the file.
					objUpload2("sOWCompanyLogo2").SaveAs sFilePath & "\" & strFullPath
				End If
			Else
				'Create a file system object to check file existance and to delete current image.
				Set fso = CreateObject("Scripting.FileSystemObject")

				'Does the image file currently exist?
				If ( fso.FileExists(Server.MapPath("../../" & sOWCompanyLogo)) ) Then
					'Yes, then delete the file.
					fso.DeleteFile(Server.MapPath("../../" & sOWCompanyLogo))
				End If
				
				'Destroy file system object.
				Set fso = Nothing
			End If
			
			'Is the store in demo mode?
			If ( NOT bOWBackOfficeDemoMode ) Then
				Dim Q 'Loop Variable
				
				'Loop through the fields
				For Q = 0 to objUpload2.Count - 3
					'If the current field is the logo field then give it the name of the newly uploaded file.
					If Q = 9 Then
						'Was no image selected?
						If strFullPath <> "" Then
							If ( InStr(objUpload2(Q).Name, "OW") > 0 ) Then
								'There was an image selected, write the filename to the database.
								Call owCONFIG_WriteConfigValue( objUpload2(Q).Name, SQLEncode(Trim("owTemplates/images/logos/" & strFullPath) ))
							End If
						Else
							'Do they want to delete the file?
							If objUpload2.Fields("sDelCurImage").Value = "Y" Then
								If ( InStr(objUpload2(Q).Name, "OW") > 0 ) Then
									'Yes the want to delete it, replace it with the old logo.
									Call owCONFIG_WriteConfigValue( objUpload2(Q).Name, SQLEncode(Trim("owTemplates/images/logo.gif") ))
								End If
							End If
						End If
					Else
						If ( InStr(objUpload2(Q).Name, "OW") > 0 ) Then
							'No extra decisions to make, just write the values to the database.
							Call owCONFIG_WriteConfigValue( objUpload2(Q).Name, SQLEncode(Trim(objUpload2(Q).Value)) )
						End If
					End If
				Next
				
				'Show the success message.
				sMessage = CM_MODIFYSUCCESS
			End If
		End If
	End If
	
	'================================================
	'=              End Modification                =
	'================================================

	%>
	<body onLoad = 'toForm()' style="font-family: Arial; font-size: 11px;" topmargin="0" leftmargin="0" bgcolor=C3DAF9>
	<script language='JavaScript1.2' type='text/javascript'>
	
		parent.owBodyTopNav.location="owBodyTopNav.asp?sMessage=<%=sMessage%>";
		
		function SubmitForm(sAction){
			document.CompanySetting.sAction.value = sAction;
			document.CompanySetting.submit();
		}
		
	</script>

	<form name="CompanySetting" method="post" action="owCompanyConfiguration.asp" enctype="multipart/form-data">
		<input type='hidden' name='sAction' value='SaveSettings'>
		<table border="0" cellpadding="0" cellspacing="0" width="100%" style="padding:5px; FONT-WEIGHT: bold; FONT-SIZE: 11px; COLOR: #808080" bgcolor="#ffffff"><tr><td>
		<table border="0" cellpadding="0" cellspacing="0" width="100%" style="FONT-WEIGHT: bold; FONT-SIZE: 11px; COLOR: #808080" bgcolor="#ffffff">
			<tr>
				<td colspan=4 style='padding-bottom: 2px; padding-top: 6px;'>
					<%iConfGroup = 0%>
					<table width=100% border="0" cellpadding="0" cellspacing="0" style="FONT-WEIGHT: bold; FONT-SIZE: 11px; COLOR: #808080" bgcolor="#FFFFFF">
						<tr>
							<td>
				            	<table border="0" cellpadding="5" cellspacing="0" style="border-left: 1px solid C3DAF9; FONT-WEIGHT: bold; FONT-SIZE: 11px; COLOR: #808080" bgcolor="#EAF1F9">
				            		<tr>
				            			<td align=right style='border-top: 1px solid C3DAF9; border-right: 1px solid C3DAF9;' nowrap><b><%=DisplayHeader(iConfGroup)%></b></td>
				            			<td width=100% bgcolor=FFFFFF style='border-bottom: 1px solid C3DAF9;'>&nbsp;</td>
				             		</tr>
				            	</table>
				            </td>
						</tr>
						<tr bgcolor="#EAF1F9">
							<td>
				            	<table width=100% border="0" cellpadding="5" cellspacing="0" style="border-left: 1px solid C3DAF9; border-right: 1px solid C3DAF9; border-bottom: 1px solid C3DAF9; FONT-WEIGHT: bold; FONT-SIZE: 11px; COLOR: #808080" bgcolor="#EAF1F9">
				            		<%Call DisplaySettings(iConfGroup)%>
				            <tr>
							
                        <td valign="top"> Upload New Logo </td>
							
                        <td valign="top"> 
                          <%If ( Trim(sOWCompanyLogo) <> "" ) Then%>
						  <br><br>
                          <table border="0" cellpadding="0" cellspacing="0" width="100%" style="FONT-WEIGHT: bold; FONT-SIZE: 11px; COLOR: #808080" bgcolor="#ffffff">
							<tr>
								<td>
									<b><%=LANG_DT( "CATEGORIES_CURRENTIMAGE", "Current Image:" )%></b>
								</td>
								<td>
									<%=LANG_DT( "CATEGORIES_DEL_CUR_IMAGE", "Delete Current Image?" )%>
									<input type='checkbox' name='sDelCurImage' value='Y'>
									<input type='hidden' name='sOriginalImageName' value='<%=Server.HTMLEncode(sOWCompanyLogo)%>'>
								</td>
							</tr>
							<tr>
                              <td colspan=2 align=Left> 
                                <div align="left"><img src="<%=Server.HTMLEncode("../../" & sOWCompanyLogo)%>"> 
                                </div><br />
                                <Span style='font-size:10px; font-weight:bold;'><font color="#FF0000">**After 
                                uploading a logo, it may not display here until 
                                you refresh this page.</font></span><br />
                                <br />
		                          <input TYPE="FILE" NAME="sOWCompanyLogo2" SIZE=30 alt="file|jpg,gif,png|0|bok">
                              </td>
							</tr>
						</table>
						<%End If%>
							</td>
							</tr>	
								</table>
				            </td>
						</tr>
					</table>
				</td>
			</tr>
		</table>
		</td></tr></table>
	</form>
	<!--#include file="../footer.asp"-->

<%
	'************************************************************************************
	'*																					*
	'*																					*
	'*																					*
	'************************************************************************************
	Function DisplayHeader(sIdSettingGroup)

		sSQLText = "SELECT GroupName FROM SettingsGroupNames (NOLOCK) WHERE idSettingGroup = " & sIdSettingGroup
		call DB_getFromDatabase(sSQLText, rsStoreData, "") 
		If ( NOT rsStoreData.EOF ) Then
			DisplayHeader = "<font size=+1 color=2A5CB2>" & rsStoreData("GroupName") & "</font>"
		End If
		Call DB_closeRecordset(rsStoreData)
		
	End Function
	'************************************************************************************


	'************************************************************************************
	'*																					*
	'*																					*
	'*																					*
	'************************************************************************************
	Sub DisplaySettings(sIdSettingGroup)
		sSQLText = "SELECT S.idSetting, S.settingKey, S.settingValue, S.comments, S.type, SO.settingoption, SO.optionvalue FROM Settings S LEFT OUTER JOIN SettingsOptions SO ON S.idSetting = SO.idSetting WHERE S.idSettingGroup = " & sIdSettingGroup & " ORDER BY S.idSetting"
		call DB_getFromDatabase(sSQLText, rsStoreData, "") 
		While ( NOT rsStoreData.EOF )
			sIdSetting		= Trim(rsStoreData("idSetting"))
			sSettingKey		= Trim(rsStoreData("settingKey"))
			sSettingValue	= Trim(rsStoreData("settingValue"))
			sComments		= Trim(rsStoreData("comments"))
			sType			= UCase(Trim(rsStoreData("type")))
			
			If ( sComments = "" ) Or ( IsNull(sComments) ) Then
				sComments = sSettingKey
			End If
			
			If ( sSettingKey = "sOWCompanyCountryCode" ) Then

				If ( sOWCompanyCountryCode2 = "" ) then
					sOWCompanyCountryCode2 = sSettingValue
				End If

				sSQLText = "SELECT * FROM CountryCodes (NOLOCK) ORDER BY Position"
				call DB_getFromDatabase(sSQLText, rsStoreData2, "")
				%>
				<tr>
					<td width=50%>Company Country</td>
					<td width=50%>
				<select name='<%=sSettingKey%>' onChange='CompanySetting.submit();'>
				<option value=''>Please Select</option>
							<%
							While ( NOT rsStoreData2.EOF )
								If ( sOWCompanyCountryCode2 = rsStoreData2("CountryCode") ) Then
									Response.Write "<option value='" & rsStoreData2("CountryCode") & "' selected>" & rsStoreData2("CountryName") & "</option>"
								Else
									Response.Write "<option value='" & rsStoreData2("CountryCode") & "'>" & rsStoreData2("CountryName") & "</option>"
								End If
								rsStoreData2.MoveNext
							Wend
							%>
						</select>
					</td>
				</tr>
				<%
				Call DB_closeRecordset(rsStoreData2)
			ElseIf ( sSettingKey = "sOWCompanyStateCode" ) Then
				If ( sOWCompanyCountryCode2 = "" ) Then		' this is in case the state appears before the countrycode and sOWCompanyCountryCode2 isn't set
					sOWCompanyCountryCode2 = owCONFIG_ReturnConfigValue("sOWCompanyCountryCode")
				End If
				sSQLText = "SELECT * FROM StateCodes (NOLOCK) WHERE CountryCode = '" & sOWCompanyCountryCode2 & "' ORDER BY StateName"
				call DB_getFromDatabase(sSQLText, rsStoreData2, "")
				%>
				<tr>
					<td width=50%>Company <%=STRUCTURE_TerritoryLabel(sOWCompanyCountryCode2)%></td>
					<td width=50%>
						<select name='<%=sSettingKey%>'>
							<option value=''>Please Select</option>
							<%
							While ( NOT rsStoreData2.EOF )
								If ( UCase(Trim(sSettingValue)) = UCase(Trim(rsStoreData2("StateCode"))) ) Then
									Response.Write "<option value='" & rsStoreData2("StateCode") & "' selected>" & rsStoreData2("StateName") & "</option>"
								Else
									Response.Write "<option value='" & rsStoreData2("StateCode") & "'>" & rsStoreData2("StateName") & "</option>"
								End If
								rsStoreData2.MoveNext
							Wend
							%>
						</select>
					</td>
				</tr>
				<%
				Call DB_closeRecordset(rsStoreData2)
			Else			
				Select Case sType
					Case "MULTIPICK"
						%>
		        		<tr>
							<td width=50%><%=sComments%></td>
							<td width=50%>
								<select name='<%=sSettingKey%>' size=4 multiple>
									<%
									Do While ( NOT rsStoreData.EOF )
										If ( sIdSetting = Trim(rsStoreData("idSetting")) ) Then
											sSettingOption	= Trim(rsStoreData("settingoption"))
											sOptionValue	= Trim(rsStoreData("optionvalue"))
											If ( Trim(UCase(CStr(sSettingValue))) = Trim(UCase(CStr(sOptionValue))) ) Then
												Response.Write "<option value='" & sOptionValue & "' selected>" & sSettingOption & "</option>"
											Else
												Response.Write "<option value='" & sOptionValue & "'>" & sSettingOption & "</option>"
											End If
										Else
											Exit Do
										End If
										rsStoreData.MoveNext
									Loop
									%>
								</select>
							</td>
		         		</tr>
						<%
					Case "SELECT"
						%>
		        		<tr>
							<td width=50%><%=sComments%></td>
							<td width=50%>
								<select name='<%=sSettingKey%>'>
									<%
									Do While ( NOT rsStoreData.EOF )
										If ( sIdSetting = Trim(rsStoreData("idSetting")) ) Then
											sSettingOption	= Trim(rsStoreData("settingoption"))
											sOptionValue	= Trim(rsStoreData("optionvalue"))
											If ( Trim(UCase(CStr(sSettingValue))) = Trim(UCase(CStr(sOptionValue))) ) Then
												Response.Write "<option value='" & sOptionValue & "' selected>" & sSettingOption & "</option>"
											Else
												Response.Write "<option value='" & sOptionValue & "'>" & sSettingOption & "</option>"
											End If
										Else
											Exit Do
										End If
										rsStoreData.MoveNext
									Loop
									%>
								</select>
							</td>
		         		</tr>
						<%
					Case "TEXT"
						If sSettingKey <> "sOWCompanyLogo" Then
						%>
		        		<tr>
		        			<td width=50%><%=sComments%></td>
							<td width=50%><%VALIDATE_textbox sSettingKey, sSettingValue, 50, "textbox", ""%></td>
		         		</tr>
						<%
						Else
						%>
							<Input Type="hidden" Name="<%=sSettingKey%>" value="<%=sSettingValue%>">
						<%
						End If
					Case "BOOLEAN"
						%>
		        		<tr>
		        			<td width=50%><%=sComments%></td>
							<td width=50%>
								<select name='<%=sSettingKey%>'>
									<option value=0 <%If ( Trim(UCase(CStr(sSettingValue))) = "0" ) Then Response.Write "selected" End If%>>No</option>
									<option value=-1 <%If ( Trim(UCase(CStr(sSettingValue))) = "-1" ) Then Response.Write "selected" End If%>>Yes</option>
								</select>
							</td>
		         		</tr>
						<%
				End Select
			End If
			If ( NOT rsStoreData.EOF ) Then
				rsStoreData.MoveNext		' has the possibility with SELECT types
			End If
		Wend
		Call DB_closeRecordset(rsStoreData)
	End Sub
	'************************************************************************************
%>