<!--#include file="../../owFunctions/I_GeneralFunctions.asp"-->
<!--#include file="Includes/i_Messages.asp"-->
<!--#include file="../header.asp"-->
<%
	'************************************************************************************
	'*																					*
	'*	MODIFICATION TO THIS SCRIPT OR ANY FILES INCLUDED WITH 							*
	'*		ONEWORLDSTOREFRONT IS DONE AT YOUR OWN RISK!								*
	'*	Product  : OneWorldStoreFront													*

	'*	Copyright:	Copyright (C) 2004 OneWorldStoreFront.Com							*
	'*				Registration Number: 1024507										*
	'*				http://strategis.ic.gc.ca/											*
	'*																					*
	'************************************************************************************

	Dim sAction, sCheckbox, sTemp
	Dim sSearchText, sSearch, sSQLCount, bResetTtlNumItems, bResetDBLoc
	Dim iBeginPagination, sURL, iTtlNumItems, iDBLoc, sQuerystring
	Dim sTarget, iPaginationCount, sSort
	
	sAction			= Trim(Request("sAction"))
	sSort			= Trim(Request("sSort"))
	sSearchText		= Trim(Request("sSearchText"))
	sSearch			= Trim(Request("sSearch"))
	sGroupUnq		= Trim(Request("sGroupUnq"))
	bResetDBLoc		= False
	sURL			= "owListCustomers.asp"
	sQuerystring	= "sGroupUnq=" & sGroupUnq & "&sAction=" & sAction & "&sSearchText=" & sSearchText & "&sSearch=" & sSearch & "&sSort=" & sSort
	sTarget			= "owMain"
	sMessage		= Trim(Request("sMessage"))
	
	If ( sGroupUnq = "" ) Or ( NOT IsNumeric(sGroupUnq) ) Then
		sGroupUnq = C_GROUP_RETAIL
	Else
		sGroupUnq = CInt(sGroupUnq)
	End If

	If ( sAction = "Delete" ) Then
		For Each sCheckbox In Request.Form
			If ( InStr(sCheckbox, "sDelete") > 0 ) Then
				sTemp = Replace(sCheckbox, "sDelete", "")
				sMessage = DeleteCustomer(sTemp)
			End If
		Next
		bResetDBLoc = True
	End If
	
	sTempSearch = " AND GM.GroupUnq = " & sGroupUnq
	
	If ( sSearchText <> "" ) Or ( sSort <> "" ) Then
		If ( sSearch = "FirstChar" ) Then
			sTempSearch = sTempSearch & " AND AD.MapName = 'OW_CUSTLNAME' AND AD.VarCharData LIKE '" & sSearchText & "%'"
		Else
			Select Case sSearch
				Case "LName"
					sTempSearch = sTempSearch & " AND AD.MapName = 'OW_CUSTLNAME' AND AD.VarCharData LIKE '%" & sSearchText & "%'"
					sFilterTemp = "OW_CUSTLNAME"
				Case "FName"
					sTempSearch = sTempSearch & " AND AD.MapName = 'OW_CUSTFNAME' AND AD.VarCharData LIKE '%" & sSearchText & "%'"
					sFilterTemp = "OW_CUSTFNAME"
				Case "Company"
					sTempSearch = sTempSearch & " AND AD.MapName = 'OW_CUSTCOMPANY' AND AD.VarCharData LIKE '%" & sSearchText & "%'"
					sFilterTemp = "OW_CUSTCOMPANY"
				Case "Phone"
					sTempSearch = sTempSearch & " AND AD.MapName = 'OW_CUSTPHONE' AND AD.VarCharData LIKE '%" & sSearchText & "%'"
					sFilterTemp = "OW_CUSTPHONE"
				Case "Email"
					sTempSearch = sTempSearch & " AND AD.MapName = 'OW_CUSTEMAIL' AND AD.VarCharData LIKE '%" & sSearchText & "%'"
					sFilterTemp = "OW_CUSTEMAIL"
				Case "Active"
					sTempSearch = sTempSearch & " AND ( A.RemoveDate IS NULL OR A.AddDate >= A.RemoveDate )"
			End Select
		End If
	
		If ( sDatabase = C_MSSQL ) Then		' embedded SELECTs don't work in MySQL (until 5 at least)
			Select Case sSort
				Case "LName"
					sSortText = "(SELECT AD2.VarCharData FROM owAccountData AD2 (NOLOCK) WHERE AD2.AccountUnq = A.AccountUnq AND AD2.MapName = 'OW_CUSTLNAME')"
					sFilterTemp = "OW_CUSTLNAME"
				Case "FName"
					sSortText = "(SELECT AD2.VarCharData FROM owAccountData AD2 (NOLOCK) WHERE AD2.AccountUnq = A.AccountUnq AND AD2.MapName = 'OW_CUSTFNAME')"
					sFilterTemp = "OW_CUSTFNAME"
				Case "Company"
					sSortText = "(SELECT AD2.VarCharData FROM owAccountData AD2 (NOLOCK) WHERE AD2.AccountUnq = A.AccountUnq AND AD2.MapName = 'OW_CUSTCOMPANY')"
					sFilterTemp = "OW_CUSTCOMPANY"
				Case "Phone"
					sSortText = "(SELECT AD2.VarCharData FROM owAccountData AD2 (NOLOCK) WHERE AD2.AccountUnq = A.AccountUnq AND AD2.MapName = 'OW_CUSTPHONE')"
					sFilterTemp = "OW_CUSTPHONE"
				Case "Email"
					sSortText = "(SELECT AD2.VarCharData FROM owAccountData AD2 (NOLOCK) WHERE AD2.AccountUnq = A.AccountUnq AND AD2.MapName = 'OW_CUSTEMAIL')"
					sFilterTemp = "OW_CUSTEMAIL"
				Case "Active"
					'sSortText = "(SELECT (A.AddDate > A.RemoveDate OR A.RemoveDate IS NULL) FROM owAccounts A2 (NOLOCK) WHERE A2.AccountUnq = A.AccountUnq)"
					sSortText = "(SELECT DATEDIFF(second, A2.AddDate, A2.RemoveDate) FROM owAccounts A2 (NOLOCK) WHERE A2.AccountUnq = A.AccountUnq)"
					sFilterTemp = "OW_CUSTLNAME"
				Case Else
					sSortText = "(SELECT AD2.VarCharData FROM owAccountData AD2 (NOLOCK) WHERE AD2.AccountUnq = A.AccountUnq AND AD2.MapName = 'OW_CUSTLNAME')"
					If ( sFilterTemp = "" ) Then	' this will be blank if there is no search, otherwise we can't have a blank value here
						sFilterTemp = "OW_CUSTLNAME"
					End If
			End Select
		End If

		sSQLText	= "SELECT A.AccountUnq, A.AddDate, A.RemoveDate, A.ExpireDate, " & sSortText & " FROM owAccounts A (NOLOCK), owAGroupMap GM (NOLOCK), owAccountData AD (NOLOCK) WHERE AD.AccountUnq = A.AccountUnq AND GM.AccountUnq = A.AccountUnq AND AD.MapName = '" & sFilterTemp & "'" & sTempSearch & " ORDER BY 5"
		sSQLCount	= "SELECT Count(*) FROM owAccounts A (NOLOCK), owAGroupMap GM (NOLOCK), owAccountData AD (NOLOCK) WHERE AD.AccountUnq = A.AccountUnq AND GM.AccountUnq = A.AccountUnq AND AD.MapName = '" & sFilterTemp & "'" & sTempSearch
	Else
		sSQLText	= "SELECT A.AccountUnq, A.AddDate, A.RemoveDate, A.ExpireDate FROM owAccounts A (NOLOCK), owAGroupMap GM (NOLOCK) WHERE GM.AccountUnq = A.AccountUnq" & sTempSearch
		sSQLCount	= "SELECT Count(*) FROM owAccounts A (NOLOCK), owAGroupMap GM (NOLOCK) WHERE GM.AccountUnq = A.AccountUnq" & sTempSearch
	End If
	
	sQueryString = "sSearchText=" & Server.URLEncode(sSearchText) & "&sSearch=" & Server.URLEncode(Trim(sSearch)) & "&sSort="

	iBeginPagination = SetupPagination( sSQLCount, bResetTtlNumItems, bResetDBLoc )
	Call PaginationQuery( sSQLText, rsStoreData, iBeginPagination )
	
	If ( rsStoreData.EOF ) Then
		sMessage = CM_E_NORECORDS
	End If
	
	%>
	<script language = "javascript">
	
		parent.owBodyFooter.location="owBodyFooter.asp?<%=sQuerystring%><%=sSort%>&iOWNumPerPage=<%=iOWNumPerPage%>&iTtlNumItems=<%=iTtlNumItems%>&iDBLoc=<%=iDBLoc%>"
		parent.owBodyTopNav.location="owBodyTopNav.asp?sGroupUnq=<%=sGroupUnq%>&sMessage=<%=sMessage%>"
		
		function ColumnOn(sStyle)
		{
			sStyle.background	= "#F5C058";
		}
		function ColumnOff(sStyle)
		{
			sStyle.background	= "#C3DAF9";
		}
		
		function ColumnDataOn(sStyle)
		{
			sStyle.background	= "#EAF1F9";
		}
		function ColumnDataOff(sStyle)
		{
			sStyle.background	= "#FFFFFF";
		}
		
	</script>
	<body topmargin="0" leftmargin="0" bgcolor=C3DAF9>
	<div id="tablediv" style="position: absolute; top: 0px; height: 100%; width:100%">
		<table width=100% border="0" cellpadding="2" cellspacing="0" style="font-size: 11px" bgcolor=FFFFFF>
		<form action='owListCustomers.asp' method='post' name='CustomerList'>
			<input type='hidden' name='sAction' value=''>
			<input type='hidden' name='sSort' value=''>
			<tr>
				<td class="ColumnHead" align="center"><%=LANG_DT( "CUSTOMER_SELECT", "Select" )%></td>
				<td onclick="location.href='owListCustomers.asp?<%=sQueryString%>LName'" onMouseOver="ColumnOn(this.style);" onMouseOut="ColumnOff(this.style);" class="ColumnHead" align="center"><%=LANG_DT( "CUSTOMER_LNAME", "Last Name" )%></td>
				<td onclick="location.href='owListCustomers.asp?<%=sQueryString%>FName'" onMouseOver="ColumnOn(this.style);" onMouseOut="ColumnOff(this.style);" class="ColumnHead" align="center"><%=LANG_DT( "CUSTOMER_FNAME", "First Name" )%></td>
				<td onclick="location.href='owListCustomers.asp?<%=sQueryString%>Company'" onMouseOver="ColumnOn(this.style);" onMouseOut="ColumnOff(this.style);" class="ColumnHead" align="center"><%=LANG_DT( "CUSTOMER_COMPANY", "Company" )%></td>
				<td onclick="location.href='owListCustomers.asp?<%=sQueryString%>Phone'" onMouseOver="ColumnOn(this.style);" onMouseOut="ColumnOff(this.style);" class="ColumnHead" align="center"><%=LANG_DT( "CUSTOMER_PHONE", "Phone" )%></td>
				<td onclick="location.href='owListCustomers.asp?<%=sQueryString%>Email'" onMouseOver="ColumnOn(this.style);" onMouseOut="ColumnOff(this.style);" class="ColumnHead" align="center"><%=LANG_DT( "CUSTOMER_EMAIL", "Email" )%></td>
				<td onclick="location.href='owListCustomers.asp?<%=sQueryString%>Active'" onMouseOver="ColumnOn(this.style);" onMouseOut="ColumnOff(this.style);" class="ColumnHead" align="center"><%=LANG_DT( "CUSTOMER_ACTIVEQUEST", "Active?" )%></td>
				<%If ( sGroupUnq = C_GROUP_AFFILIATE ) Then%>
				<td onMouseOver="ColumnOn(this.style);" onMouseOut="ColumnOff(this.style);" class="ColumnHead" align="center"><%=LANG_DT( "CUSTOMER_AFFILIATEORDERS", "Affiliate Orders" )%></td>
				<%End If%>
			</tr>
			<%
			If ( NOT rsStoreData.EOF ) Then
				iPaginationCount = 0
				While ( ( NOT rsStoreData.EOF ) And ( iPaginationCount < iOWNumPerPage ) )
					sAccountUnq 	= rsStoreData("AccountUnq")
					sQueryString2	= sQueryString & sSort & "&sAccountUnq=" & sAccountUnq & "&sGroupUnq=" & sGroupUnq
					sEmail			= ACCNT_ReturnADV("OW_CUSTEMAIL", "V", sAccountUnq, C_OVERRIDE_ADV)
					dAddDate		= rsStoreData("AddDate")
					dRemoveDate		= rsStoreData("RemoveDate")
					dExpireDate		= rsStoreData("ExpireDate")
					%>
					<tr onMouseOver="ColumnDataOn(this.style);" onMouseOut="ColumnDataOff(this.style);">
						<td width=5% class='ColumnData' align="center">
							<%If ( iLoginAccountUnq <> sAccountUnq ) Then%>
							<input size="1" type="checkbox" style="font-size: 6px;" name="sDelete<%=sAccountUnq%>" value="46">
							<%End If%>
						</td>
						<td width=20% onclick="location.href='owModifyCustomer.asp?<%=sQueryString2%>'" class='ColumnData' align="left"><%=ACCNT_ReturnADV("OW_CUSTLNAME", "V", sAccountUnq, C_OVERRIDE_ADV)%>&nbsp;</td>
						<td width=15% onclick="location.href='owModifyCustomer.asp?<%=sQueryString2%>'" class='ColumnData' align="left"><%=ACCNT_ReturnADV("OW_CUSTFNAME", "V", sAccountUnq, C_OVERRIDE_ADV)%>&nbsp;</td>
						<td width=20% onclick="location.href='owModifyCustomer.asp?<%=sQueryString2%>'" class='ColumnData' align="left"><%=ACCNT_ReturnADV("OW_CUSTCOMPANY", "V", sAccountUnq, C_OVERRIDE_ADV)%>&nbsp;</td>
						<td width=15% onclick="location.href='owModifyCustomer.asp?<%=sQueryString2%>'" class='ColumnData' align="left"><%=ACCNT_ReturnADV("OW_CUSTPHONE", "V", sAccountUnq, C_OVERRIDE_ADV)%>&nbsp;</td>
						<td width=20% class='ColumnData' align="left"><a href="mailto:<%=sEmail%>" style='font-weight: normal; font-size: 12px;'><%=sEmail%></a>&nbsp;</td>
						<td width=5% onclick="location.href='owModifyCustomer.asp?<%=sQueryString2%>'" class='ColumnData' align="center">
							<%
							If ( IsNull(dRemoveDate) ) Then
								Response.Write LANG_DT( "YES", "Yes" )
							Else
								If ( DateDiff("s", dAddDate, dRemoveDate) > 0 ) Then
									Response.Write LANG_DT( "NO", "No" )
								Else
									Response.Write LANG_DT( "YES", "Yes" )
								End If
							End If
							%>
						</td>
						<%If ( sGroupUnq = C_GROUP_AFFILIATE ) Then%>
						<td width=5% onclick="location.href='AffiliateOrders/Default.asp?<%=sQueryString2%>'" class='ColumnData' align="center"><%=LANG_DT( "CUSTOMER_VIEWAFFILIATE", "View" )%>&gt;</td>
						<%End If%>
					</tr>
					<%
					rsStoreData.movenext
					iPaginationCount = iPaginationCount + 1
				Wend
			End If
			Call DB_closeRecordset(rsStoreData)
			%>

		</form>
	</table>
	<!--#include file="../footer.asp"-->  

	<%
	'************************************************************************************
	'*																					*
	'*																					*
	'*																					*
	'************************************************************************************
	Function DeleteCustomer(sAccountUnq)

		sSQLText = "SELECT IdOrder FROM orders WHERE AccountUnq = " & sAccountUnq
		Call DB_getFromDatabase(sSQLText, rsStoreData, "")
		While ( NOT rsStoreData.EOF )
			sIDOrder = rsStoreData("IdOrder")

			Call DB_updateDatabase("DELETE FROM OrdersProdOptions WHERE idOrder = " & sIDOrder)
			Call DB_updateDatabase("DELETE FROM OrdersProdRef WHERE idOrder = " & sIDOrder)
			call DB_updateDatabase("DELETE FROM OrdersCreditCards WHERE idOrder=" & sIDOrder)
			call DB_updateDatabase("DELETE FROM orders WHERE idOrder = " & sIDOrder)
			
			rsStoreData.movenext 
		Wend
		Call DB_closeRecordset(rsStoreData)
		
		Call DB_updateDatabase("DELETE FROM CustAltBill WHERE AccountUnq = " & sAccountUnq)
		Call DB_updateDatabase("DELETE FROM CustAltShip WHERE AccountUnq = " & sAccountUnq)
		Call DB_updateDatabase("DELETE FROM owAGroupMap WHERE AccountUnq = " & sAccountUnq)
		Call DB_updateDatabase("DELETE FROM owAccountData WHERE AccountUnq = " & sAccountUnq)
		
		Session.Contents.Remove("GROUP_" & C_GROUP_ADMIN & "_" & sAccountUnq)
		Session.Contents.Remove("GROUP_" & C_GROUP_RETAIL & "_" & sAccountUnq)
		Session.Contents.Remove("GROUP_" & C_GROUP_WHOLESALE & "_" & sAccountUnq)
		Session.Contents.Remove("GROUP_" & C_GROUP_AFFILIATE & "_" & sAccountUnq)
		Session.Contents.Remove("GROUP_" & C_GROUP_SUPPLIER & "_" & sAccountUnq)
		Session.Contents.Remove("GROUP_" & C_GROUP_DISTRIBUTOR & "_" & sAccountUnq)
		
		'Call DB_updateDatabase("UPDATE owAccounts SET RemoveDate = #" & CONVERSION_FormatDate(Now(), "S") & "# WHERE AccountUnq = " & sAccountUnq)
		' delete outright in Free to Business Editions, Enterprise they get deactivated
		Call DB_updateDatabase("DELETE FROM owAccounts WHERE AccountUnq = " & sAccountUnq)
		
		DeleteCustomer = CM_DELSUCCESS
		
	End Function
	'************************************************************************************
%>